(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     67771,       1592]
NotebookOptionsPosition[     66529,       1566]
NotebookOutlinePosition[     66873,       1581]
CellTagsIndexPosition[     66830,       1578]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Ejemplo", " ", "1"}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"nodos", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Fx", ",", "Fy", ",", "Mz"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"2", "L"}], ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"-", "F"}], ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"3", "L"}], ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Fx", ",", "Fy", ",", "Mz"}], "}"}]}], "}"}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"material", "=", 
     RowBox[{"{", 
      RowBox[{"{", "vE", "}"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"perfil", "=", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"A", ",", "Iz", ",", "Mp"}], "}"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"barras", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"2", ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"3", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datos", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"L", "\[Rule]", "4"}], ",", 
       RowBox[{"vE", "\[Rule]", 
        RowBox[{"2.1", " ", 
         RowBox[{"10", "^", "11"}]}]}], ",", 
       RowBox[{"Iz", "\[Rule]", 
        RowBox[{"8360", " ", 
         RowBox[{"10", "^", 
          RowBox[{"-", "8"}]}]}]}], ",", 
       RowBox[{"S", "\[Rule]", 
        RowBox[{"628", " ", 
         RowBox[{"10", "^", 
          RowBox[{"-", "6"}]}]}]}], ",", 
       RowBox[{"\[Sigma]F", "\[Rule]", 
        RowBox[{"275", " ", 
         RowBox[{"10", "^", "6"}]}]}], ",", 
       RowBox[{"Mp", "\[Rule]", 
        RowBox[{"S", " ", "\[Sigma]F"}]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Matriz", " ", "homog\[EAcute]nea"}], "*)"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{"matrizT", "=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "Li", ",", "\[Lambda]x", ",", "\[Lambda]y", ",", "\[Lambda]z"}], 
        "}"}], ",", " ", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"nd", "=", 
         RowBox[{"Length", "[", "nodos", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"nb", "=", 
         RowBox[{"Length", "[", "barras", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"mT", "=", 
         RowBox[{
          RowBox[{"T", "[", "1", "]"}], "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", 
               RowBox[{"q", "[", "1", "]"}]}], ",", "0", ",", "0"}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"q", "[", "1", "]"}], ",", "1", ",", "0", ",", "0"}], 
             "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"nd", "-", "1"}]}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Li", "=", 
             RowBox[{"Norm", "[", 
              RowBox[{
               RowBox[{"nodos", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"i", "+", "1"}], ",", "1"}], "]"}], "]"}], "-", 
               RowBox[{"nodos", "[", 
                RowBox[{"[", 
                 RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"\[Lambda]x", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"i", "+", "1"}], ",", "1", ",", "1"}], "]"}], 
                 "]"}], "-", 
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", ",", "1", ",", "1"}], "]"}], "]"}]}], ")"}], 
              "/", "Li"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"\[Lambda]y", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"i", "+", "1"}], ",", "1", ",", "2"}], "]"}], 
                 "]"}], "-", 
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", ",", "1", ",", "2"}], "]"}], "]"}]}], ")"}], 
              "/", "Li"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"\[Lambda]z", "=", 
             RowBox[{"0", "/", "Li"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"T", "[", 
              RowBox[{"i", "+", "1"}], "]"}], "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"1", ",", 
                 RowBox[{"-", 
                  RowBox[{"q", "[", 
                   RowBox[{"i", "+", "1"}], "]"}]}], ",", "0", ",", 
                 RowBox[{"\[Lambda]x", " ", "Li"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"q", "[", 
                  RowBox[{"i", "+", "1"}], "]"}], ",", "1", ",", "0", ",", 
                 RowBox[{"\[Lambda]y", " ", "Li"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "1", ",", 
                 RowBox[{"\[Lambda]z", " ", "Li"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]}],
             ";", "\[IndentingNewLine]", 
            RowBox[{"mT", "=", 
             RowBox[{"mT", ".", 
              RowBox[{"T", "[", 
               RowBox[{"i", "+", "1"}], "]"}]}]}], ";"}], 
           "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", "]"}], ";", 
        "\[IndentingNewLine]", "mT"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{"(*", 
    RowBox[{"R\[OAcute]tulas", " ", "pl\[AAcute]sticas"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"NPR", ",", "Comp"}], "}"}], "=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"NPR", ",", "Comp"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"NPR", "=", "0"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Comp", "=", 
         RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
          RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"nodos", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "2", ",", "1"}], "]"}], "]"}], 
                 "\[Equal]", "Fx"}], "||", 
                RowBox[{
                 RowBox[{"nodos", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "2", ",", "2"}], "]"}], "]"}], 
                 "\[Equal]", "Fy"}]}], ")"}], "&&", 
              RowBox[{
               RowBox[{"nodos", "[", 
                RowBox[{"[", 
                 RowBox[{"i", ",", "2", ",", "3"}], "]"}], "]"}], "\[Equal]", 
               "0"}]}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"NPR", "=", "NPR"}], ",", 
               RowBox[{"Comp", "=", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"Comp", ",", "0"}], "]"}]}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"NPR", "+=", "1"}], ",", 
               RowBox[{"Comp", "=", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"Comp", ",", "1"}], "]"}]}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"NPR", "+=", "1"}], ",", 
               RowBox[{"Comp", "=", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"Comp", ",", "1"}], "]"}]}]}], "}"}]}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"NPR", ",", "Comp"}], "}"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Comp", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<El n\[UAcute]mero de posibles r\[OAcute]tulas plasticas es de \>\"",
       ",", "NPR"}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Ecuaciones", " ", "de", " ", "equilibrio"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GH", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", 
      RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"nodos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2", ",", "1"}], "]"}], "]"}], "\[Equal]", 
          "Fx"}], ",", 
         RowBox[{"GH", "+=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"nodos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2", ",", "2"}], "]"}], "]"}], "\[Equal]", 
          "Fy"}], ",", 
         RowBox[{"GH", "+=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"nodos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2", ",", "3"}], "]"}], "]"}], "\[Equal]", 
          "Mz"}], ",", 
         RowBox[{"GH", "+=", "1"}]}], "]"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GH", "=", 
     RowBox[{"GH", "-", "3"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"nodos", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "nd"}], "}"}]}], "]"}], "\[Equal]", "0"}], ",", 
      RowBox[{"GH", "=", 
       RowBox[{"GH", "-", "1"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"EQ", "=", 
     RowBox[{"NPR", "-", "GH"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Ecuaciones de equilibrio = \>\"", ",", " ", "EQ"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Ecuaciones de compatibilidad = \>\"", ",", " ", "GH"}], 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Posibles", " ", "mecanismo", " ", "de", " ", "colapso", " ", 
     RowBox[{"(", "todos", ")"}]}], "*)"}], "\n", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mec", "=", 
     RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mec", "=", 
     RowBox[{"Subsets", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"i", "=", "1"}], ",", 
           RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
           RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Comp", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "1"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"AppendTo", "[", 
              RowBox[{"mec", ",", 
               RowBox[{"barras", "[", 
                RowBox[{"[", 
                 RowBox[{"i", ",", "1", ",", "1"}], "]"}], "]"}]}], "]"}]}], 
            "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], ";",
          "\[IndentingNewLine]", "mec"}], ")"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"NPR", "-", 
          RowBox[{"(", 
           RowBox[{"nd", "-", "3"}], ")"}]}], ",", "NPR"}], "}"}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Todas las posibles combinaciones de r\[OAcute]tulas \
pl\[AAcute]sticas son:\>\"", ",", "mec"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mecnec", "=", "mec"}], ";"}], "\[IndentingNewLine]", "\n", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"avanza", "=", 
      RowBox[{"Length", "[", 
       RowBox[{"mecnec", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ",", 
     RowBox[{"avanza", "\[LessEqual]", 
      RowBox[{"Length", "[", "nodos", "]"}]}], ",", 
     RowBox[{"avanza", "++"}], ",", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"mecextra", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", 
              RowBox[{"Length", "[", "mecnec", "]"}]}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", 
                 RowBox[{"mecnec", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "]"}], "\[Equal]", 
                "avanza"}], ",", 
               RowBox[{"AppendTo", "[", 
                RowBox[{"mecextra", ",", 
                 RowBox[{"mecnec", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], "]"}]}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"mec", "=", "mecextra"}], ";", "\[IndentingNewLine]", 
           RowBox[{"dim", "=", 
            RowBox[{"Length", "[", "mecextra", "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"mec2", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", "dim"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"mec2", "[", 
                RowBox[{"[", "i", "]"}], "]"}], "=", 
               RowBox[{"mec", "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"j", "=", "1"}], ",", 
                RowBox[{"j", "\[LessEqual]", 
                 RowBox[{"nd", "-", 
                  RowBox[{"Length", "[", 
                   RowBox[{"mec", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}]}]}], ",", 
                RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{
                  RowBox[{"mec2", "[", 
                   RowBox[{"[", "i", "]"}], "]"}], ",", "0"}], "]"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"mec3", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", "dim", ",", "nd"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"j", "=", "1"}], ",", 
                RowBox[{"j", "\[LessEqual]", "nd"}], ",", 
                RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"mec2", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}], "\[NotEqual]", 
                    "0"}], ",", 
                   RowBox[{
                    RowBox[{"mec3", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", 
                    RowBox[{"mec2", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}]}], "]"}], "]"}], 
                    "=", 
                    RowBox[{"mec2", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}]}]}], "]"}], ";"}]}],
                "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"MCp", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", "dim"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"j", "=", "1"}], ",", 
             RowBox[{"j", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"k", "=", "0"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"i", "=", "1"}], ",", 
                 RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
                 RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Comp", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "1"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"mec3", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "i"}], "]"}], "]"}], "\[NotEqual]", 
                    "0"}], "&&", 
                    RowBox[{"k", "\[Equal]", "0"}]}], ",", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", "=", "1"}], ";", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"q", "[", "i", "]"}], "\[Equal]", 
                    "\[CapitalDelta]v"}]}], "]"}]}], ")"}]}], "]"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"mec3", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "i"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"q", "[", "i", "]"}], "\[Equal]", "0"}]}], 
                    "]"}]}], "]"}]}], ")"}]}], "\[IndentingNewLine]", "]"}]}],
                 "\[IndentingNewLine]", "]"}], ";"}], ")"}]}], 
            "\[IndentingNewLine]", "]"}], ";", "\n", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"Mecanismos", " ", "propuestos"}], ",", " ", 
             RowBox[{"ecuaciones", " ", "de", " ", "equilibrio"}]}], "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"\[CapitalDelta]v", "=", "0.000001"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"sol", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", "dim", "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"gdl", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"q", "[", "i", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "1", ",", "nd"}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Do", "[", " ", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"vP", "=", 
               RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"i", "=", "1"}], ",", 
                RowBox[{"i", "\[LessEqual]", 
                 RowBox[{"nd", "-", 
                  RowBox[{"Length", "[", 
                   RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "]"}]}]}], ",", 
                RowBox[{"i", "++"}], ",", 
                RowBox[{"(", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"i", "\[Equal]", "1"}], ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"vP", ",", 
                    RowBox[{"mT", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "4"}], "]"}], "]"}]}], "]"}]}], "]"}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"i", "\[Equal]", "2"}], ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"vP", ",", 
                    RowBox[{"mT", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "]"}]}], "]"}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"i", "\[Equal]", "3"}], ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"vP", ",", 
                    RowBox[{"mT", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "4"}], "]"}], "]"}]}], "]"}]}], "]"}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"j", "=", "i"}], ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"j", ">", "3"}], ",", 
                    RowBox[{"j", "=", "3"}]}], "]"}], ";"}], 
                 "\[IndentingNewLine]", ")"}]}], "\[IndentingNewLine]", "]"}],
               ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"j", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"kk", "=", 
                  RowBox[{
                   RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"vP", "\[Equal]", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"nd", ",", "1", ",", "2"}], "]"}], "]"}]}], "}"}],
                     ",", 
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "gdl"}], "\[IndentingNewLine]", 
                    "]"}], "/.", "datos"}]}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"j", "\[Equal]", "2"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"kk", "=", 
                  RowBox[{
                   RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"vP", "\[Equal]", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"nd", ",", "1", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}]}], "]"}], "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "gdl"}], "\[IndentingNewLine]", 
                    "]"}], "/.", "datos"}]}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"j", "\[Equal]", "3"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"kk", "=", 
                  RowBox[{
                   RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"vP", "\[Equal]", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"nd", ",", "1", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3", ",", "1"}], "}"}]}], "]"}], 
                    "]"}]}], "}"}], ",", 
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "gdl"}], "\[IndentingNewLine]", 
                    "]"}], "/.", "datos"}]}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"s", "=", "0"}], ";", "\[IndentingNewLine]", 
              RowBox[{"j", "=", "0"}], ";", "\[IndentingNewLine]", 
              RowBox[{"min", "=", 
               RowBox[{"10", "^", "10"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"i", "=", "1"}], ";", "\[IndentingNewLine]", 
              RowBox[{"Do", "[", 
               RowBox[{
                RowBox[{"s", "+=", 
                 RowBox[{
                  RowBox[{"Abs", "[", 
                   RowBox[{"q", "[", "i", "]"}], "]"}], "/.", "kk"}]}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", 
                  RowBox[{"nd", "-", "1"}]}], "}"}]}], "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"Do", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"s", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "<", "min"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"min", "=", 
                    RowBox[{"s", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], ",", 
                    RowBox[{"j", "=", "i"}]}], "}"}]}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"i", ",", 
                  RowBox[{"Length", "[", "s", "]"}]}], "}"}]}], 
               "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"sol", "[", 
                RowBox[{"[", "neq", "]"}], "]"}], "=", 
               RowBox[{"kk", "[", 
                RowBox[{"[", "j", "]"}], "]"}]}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"sol2", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"sol", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "List"}], ",", 
               ",", ",", "\[IndentingNewLine]", 
               RowBox[{"AppendTo", "[", 
                RowBox[{"sol2", ",", 
                 RowBox[{"sol", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], 
              "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"sol", "=", "sol2"}], ";", "\[IndentingNewLine]", 
           RowBox[{"sol", "=", 
            RowBox[{"Chop", "[", 
             RowBox[{"sol", ",", 
              RowBox[{"10", "^", 
               RowBox[{"-", "8"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", "desplazamientos", "*)"}], "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"dim", "=", 
            RowBox[{"Length", "[", "sol", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"\[Delta]", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"Table", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"Dot", "@@", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"T", "[", "j", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"j", ",", "i"}], "}"}]}], "]"}]}], ")"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", "4"}], 
                    "]"}], "]"}], ")"}], "-", 
                   RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "1"}], "]"}], "]"}]}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "nd"}], "}"}]}], "\[IndentingNewLine]", 
                 "]"}], "/.", 
                RowBox[{"sol", "[", 
                 RowBox[{"[", "neq", "]"}], "]"}]}], "/.", "datos"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"\[Delta]", "=", 
            RowBox[{"Chop", "[", 
             RowBox[{"\[Delta]", ",", 
              RowBox[{"10", "^", 
               RowBox[{"-", "6"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"Aplicar", " ", "el", " ", "PDV"}], "*)"}], "\n", 
           "\[IndentingNewLine]", 
           RowBox[{"eq", "=", 
            RowBox[{
             RowBox[{
              RowBox[{"Table", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"\[Delta]", "[", 
                    RowBox[{"[", 
                    RowBox[{"neq", ",", "i"}], "]"}], "]"}], ".", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "2"}], "]"}], "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}], "-", 
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], 
                    RowBox[{"q", "[", "i", "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], ")"}], "/", 
                  "\[CapitalDelta]v"}], "/.", 
                 RowBox[{"sol", "[", 
                  RowBox[{"[", "neq", "]"}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
               "]"}], "/.", 
              RowBox[{"(", 
               RowBox[{"0.0", "\[Rule]", "0"}], ")"}]}], "//", "Simplify"}]}],
            ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"Ensayo", " ", "de", " ", "mecanismos"}], "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Mreal", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", 
              RowBox[{"{", "dim", "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"i", "=", "1"}], ",", 
                RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
                RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"If", "[", " ", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"q", "[", "i", "]"}], "\[NotEqual]", "0"}], "/.", 
                    RowBox[{
                    RowBox[{"sol", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "||", 
                    RowBox[{
                    RowBox[{"Comp", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "0"}]}]}], 
                   ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "=", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                    RowBox[{"(", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"repite", "\[Equal]", "1"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"Sign", "[", 
                    RowBox[{"q", "[", "i", "]"}], "]"}], "Mp"}]}], "/.", 
                    RowBox[{"sol", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sign", "[", 
                    RowBox[{"q", "[", "i", "]"}], "]"}]}], "Mp"}]}], "/.", 
                    RowBox[{"sol", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}]}], 
                    "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
                    ")"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "=", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"\[Theta]", "[", "i", "]"}], "\[Rule]", "0"}]}], 
                    "]"}]}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "=", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", "0"}]}], 
                    "]"}]}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
             ",", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\n", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"Ecuaciones", " ", "de", " ", "compatibilidad"}], "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"cc", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
             RowBox[{"i", "++"}], ",", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Comp", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "0"}], ",", 
               RowBox[{"(", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"cc", ",", 
                  RowBox[{
                   RowBox[{"m", "[", "i", "]"}], "\[Equal]", "0"}]}], "]"}], 
                ")"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"ec", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "EQ"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"j", "=", "1"}], ",", 
               RowBox[{"j", "\[LessEqual]", "dim"}], ",", 
               RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"sol", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", 
                    RowBox[{"nd", "-", "i", "+", "1"}], ",", "2"}], "]"}], 
                    "]"}], "\[NotEqual]", "0"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"ec", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"eq", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "/.", 
                    RowBox[{"F", "\[Rule]", "0"}]}], "/.", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", 
                    RowBox[{"m", "[", "i", "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"j", "=", "dim"}], ";", 
                    RowBox[{
                    RowBox[{"eq", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "=", "0"}]}], ")"}]}], 
                 "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]",
               "]"}]}], "\[IndentingNewLine]", "]"}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"mvirtual", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                RowBox[{"Join", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"m", "[", "i", "]"}], "\[Equal]", 
                    RowBox[{"DiscreteDelta", "[", 
                    RowBox[{"j", "-", "i"}], "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "GH"}], "}"}]}], "]"}], ",", "cc", ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"ec", "\[Equal]", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", "EQ", "}"}]}], "]"}]}], "}"}]}], 
                 "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}], 
               "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"j", ",", "GH"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"mvirtual", "=", 
            RowBox[{"Chop", "[", 
             RowBox[{"mvirtual", ",", 
              RowBox[{"10", "^", 
               RowBox[{"-", "6"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"EC", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Table", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"pfv", "=", "0"}], ";", 
                    RowBox[{"i", "=", "1"}]}], ",", 
                   RowBox[{"i", "\[LessEqual]", 
                    RowBox[{"nb", "-", "1"}]}], ",", 
                   RowBox[{"i", "++"}], ",", 
                   RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Li", "=", 
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", "1"}], "]"}], "]"}], "-", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "]"}], "/.", 
                    "datos"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"vEi", "=", 
                    RowBox[{"material", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"barras", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
                    "1"}], "]"}], "]"}]}], " ", ";", "\[IndentingNewLine]", 
                    RowBox[{"Izi", "=", 
                    RowBox[{"perfil", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"barras", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
                    "2"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"Mi", "=", 
                    RowBox[{"M", "[", "i", "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Mj", "=", 
                    RowBox[{"M", "[", 
                    RowBox[{"i", "+", "1"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"mi", "=", 
                    RowBox[{"m", "[", "i", "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"mj", "=", 
                    RowBox[{"m", "[", 
                    RowBox[{"i", "+", "1"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"pfv", "+=", 
                    RowBox[{
                    RowBox[{"Li", "/", 
                    RowBox[{"(", 
                    RowBox[{"6", " ", "vEi", " ", "Izi"}], ")"}]}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"mi", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "Mi"}], "+", "Mj"}], ")"}]}], "+", 
                    RowBox[{"mj", 
                    RowBox[{"(", 
                    RowBox[{"Mi", "+", 
                    RowBox[{"2", "Mj"}]}], ")"}]}]}], ")"}]}]}], ";"}], 
                    "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", 
                  " ", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"pfv", "+=", 
                  RowBox[{"Sum", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"m", "[", "i", "]"}], 
                    RowBox[{"\[Theta]", "[", "i", "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"pfv", "=", 
                  RowBox[{"Simplify", "[", 
                   RowBox[{
                    RowBox[{"pfv", "/.", 
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "/.", 
                    RowBox[{"mvirtual", "[", 
                    RowBox[{"[", "j", "]"}], "]"}]}], "]"}]}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"j", ",", "GH"}], "}"}]}], "\[IndentingNewLine]", 
               "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\n", "\[IndentingNewLine]", 
           RowBox[{"adic", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Table", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"Mreal", "[", 
                  RowBox[{"[", 
                   RowBox[{"neq", ",", "i", ",", "1"}], "]"}], "]"}], 
                 "\[Equal]", 
                 RowBox[{"Mreal", "[", 
                  RowBox[{"[", 
                   RowBox[{"neq", ",", "i", ",", "2"}], "]"}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "nd"}], "}"}]}], "\[IndentingNewLine]", 
               "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"incog", "=", 
            RowBox[{"Join", "[", 
             RowBox[{
              RowBox[{"{", "F", "}"}], ",", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"M", "[", "i", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "nd"}], "}"}]}], "]"}], ",", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"\[Theta]", "[", "i", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"giros", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", 
              RowBox[{"{", "dim", "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"i", "=", "1"}], ",", 
               RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
               RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{"If", "[", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Mreal", "[", 
                   RowBox[{"[", 
                    RowBox[{"neq", ",", "i", ",", "1"}], "]"}], "]"}], 
                  "\[Equal]", 
                  RowBox[{"M", "[", "i", "]"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{"AppendTo", "[", 
                  RowBox[{
                   RowBox[{"giros", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                   RowBox[{"\[Theta]", "[", "i", "]"}]}], "]"}]}], 
                "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "ensayar", " ", "los", " ", "mecanismos", " ", "posibles"}], 
            "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Do", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"i", "=", "1"}], ",", 
               RowBox[{"i", "\[LessEqual]", 
                RowBox[{"Length", "[", 
                 RowBox[{"giros", "[", 
                  RowBox[{"[", "neq", "]"}], "]"}], "]"}]}], ",", 
               RowBox[{"i", "++"}], ",", 
               RowBox[{"{", " ", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"j", "=", "1"}], ",", 
                  RowBox[{"j", "\[LessEqual]", 
                   RowBox[{
                    RowBox[{"Length", "[", "eq", "]"}], "-", "EQ", "+", 
                    "1"}]}], ",", 
                  RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"add", "=", 
                    RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"k", "=", "j"}], ",", 
                    RowBox[{"k", "\[LessEqual]", 
                    RowBox[{"EQ", "+", "j", "-", "1"}]}], ",", 
                    RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"add", ",", 
                    RowBox[{"eq", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"sol", "=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Solve", "[", " ", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"EC", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "\[Equal]", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", "GH", "}"}]}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"add", "\[Equal]", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", "EQ", "}"}]}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"giros", "[", 
                    RowBox[{"[", 
                    RowBox[{"neq", ",", "i"}], "]"}], "]"}], "}"}], 
                    "\[Equal]", 
                    RowBox[{"{", "0", "}"}]}]}], "\[IndentingNewLine]", "}"}],
                     ",", "\[IndentingNewLine]", 
                    RowBox[{"adic", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "\[IndentingNewLine]",
                     "]"}], ",", "incog"}], "\[IndentingNewLine]", "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "/.", 
                    RowBox[{"(", 
                    RowBox[{"0.0", "\[Rule]", "0"}], ")"}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Refine", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"And", "@@", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Abs", "[", 
                    RowBox[{"M", "[", "i", "]"}], "]"}], "\[LessEqual]", 
                    "Mp"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], "/.", "sol"}],
                     ")"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Assumptions", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Mp", ">", "0"}], ",", 
                    RowBox[{"Iz", ">", "0"}], ",", 
                    RowBox[{"vE", ">", "0"}]}], "}"}]}]}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Refine", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"And", "@@", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sign", "[", 
                    RowBox[{
                    RowBox[{"\[Theta]", "[", "i", "]"}], 
                    RowBox[{"M", "[", "i", "]"}]}], "]"}], "\[GreaterEqual]", 
                    "0"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], "/.", "sol"}],
                     ")"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Assumptions", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Mp", ">", "0"}], ",", 
                    RowBox[{"Iz", ">", "0"}], ",", 
                    RowBox[{"vE", ">", "0"}]}], "}"}]}]}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"solucion", "=", "sol"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"i", "=", 
                    RowBox[{"Length", "[", 
                    RowBox[{"giros", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "]"}]}]}], "}"}]}], " ",
                     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
                    "]"}]}], "\[IndentingNewLine]", "}"}]}], 
                 "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "}"}]}],
               "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"solucion", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}], "//.", "datos"}], 
               ")"}], "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"solucion", "=", 
                RowBox[{"(", 
                 RowBox[{"solucion", "//.", "datos"}], ")"}]}], ",", 
               RowBox[{"repite", "=", "2"}]}], "}"}]}], "]"}], ";"}], 
          "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"repite", ",", "2"}], "}"}]}], "\[IndentingNewLine]", "]"}],
        ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"solucion", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "2"}], "]"}], "]"}], "//.", "datos"}], ")"}], 
          "\[GreaterEqual]", "0"}], ",", 
         RowBox[{"avanza", "=", 
          RowBox[{
           RowBox[{"Length", "[", "nodos", "]"}], "+", "1"}]}]}], "]"}], 
       ";"}], "\[IndentingNewLine]", "}"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"MatrixForm", "[", 
    RowBox[{"solucion", "//.", "datos"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7607980090067687`*^9, 3.760798030177006*^9}, 
   3.7607980994309287`*^9, {3.762006650212393*^9, 3.762006650582414*^9}, 
   3.765169190908366*^9, {3.765169354615055*^9, 3.7651693636915812`*^9}, {
   3.7652853769768686`*^9, 3.7652854218299475`*^9}, {3.765375305841471*^9, 
   3.7653753397805314`*^9}, 3.7694300462771935`*^9, {3.770119246859029*^9, 
   3.770119318818181*^9}, {3.7701194454526334`*^9, 3.7701194517536564`*^9}, {
   3.770119524648168*^9, 3.7701195587179775`*^9}, {3.7701196065664005`*^9, 
   3.770119613473816*^9}, 3.770119771442543*^9, {3.7701198194781885`*^9, 
   3.7701198486487875`*^9}, {3.770120060396432*^9, 3.7701200664584804`*^9}, {
   3.7701204603171577`*^9, 3.770120460785159*^9}, 3.7701208165403166`*^9, {
   3.770120855088713*^9, 3.770120953794075*^9}, {3.7701210106821084`*^9, 
   3.7701210291968155`*^9}, {3.770121113249881*^9, 3.7701211191267633`*^9}, {
   3.770121191800905*^9, 3.7701211923143225`*^9}, {3.7701213551661935`*^9, 
   3.7701214088081627`*^9}, {3.7702102112143803`*^9, 3.7702102243214035`*^9}, 
   3.7704621258957586`*^9, 3.7765270523063345`*^9},
 CellLabel->"In[23]:=",ExpressionUUID->"4beed990-1231-472f-a4f8-9597653be1c8"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El n\[UAcute]mero de posibles r\[OAcute]tulas plasticas es de \
\"\>", "\[InvisibleSpace]", "3"}],
  SequenceForm[
  "El n\[UAcute]mero de posibles r\[OAcute]tulas plasticas es de ", 3],
  Editable->False]], "Print",
 CellChangeTimes->{{3.770121119781965*^9, 3.770121128809454*^9}, 
   3.7701211930329237`*^9, 3.7701212340368614`*^9, 3.770121412238005*^9, {
   3.7702102158797884`*^9, 3.7702102249142046`*^9}, 3.770461913350501*^9, 
   3.7704623951268415`*^9, 3.776527053935424*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[23]:=",ExpressionUUID->"0ebb0cab-63c1-4edd-99fa-89e2929d1801"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Ecuaciones de equilibrio = \"\>", "\[InvisibleSpace]", "1"}],
  SequenceForm["Ecuaciones de equilibrio = ", 1],
  Editable->False]], "Print",
 CellChangeTimes->{{3.770121119781965*^9, 3.770121128809454*^9}, 
   3.7701211930329237`*^9, 3.7701212340368614`*^9, 3.770121412238005*^9, {
   3.7702102158797884`*^9, 3.7702102249142046`*^9}, 3.770461913350501*^9, 
   3.7704623951268415`*^9, 3.7765270539413977`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[23]:=",ExpressionUUID->"45cd4979-f660-4650-9db5-6860688be234"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Ecuaciones de compatibilidad = \"\>", "\[InvisibleSpace]", 
   "2"}],
  SequenceForm["Ecuaciones de compatibilidad = ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{{3.770121119781965*^9, 3.770121128809454*^9}, 
   3.7701211930329237`*^9, 3.7701212340368614`*^9, 3.770121412238005*^9, {
   3.7702102158797884`*^9, 3.7702102249142046`*^9}, 3.770461913350501*^9, 
   3.7704623951268415`*^9, 3.776527053945396*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[23]:=",ExpressionUUID->"3b69e8da-ed08-4f7a-bd78-299266b94600"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Todas las posibles combinaciones de r\[OAcute]tulas \
pl\[AAcute]sticas son:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}], "}"}]}],
  SequenceForm[
  "Todas las posibles combinaciones de r\[OAcute]tulas pl\[AAcute]sticas \
son:", {{1, 2, 3}}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.770121119781965*^9, 3.770121128809454*^9}, 
   3.7701211930329237`*^9, 3.7701212340368614`*^9, 3.770121412238005*^9, {
   3.7702102158797884`*^9, 3.7702102249142046`*^9}, 3.770461913350501*^9, 
   3.7704623951268415`*^9, 3.7765270539503975`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[23]:=",ExpressionUUID->"58ed509d-a2bb-44b5-b6a1-ff653e3b501c"]
}, Open  ]],

Cell[BoxData[
 TemplateBox[{
  "Solve","ratnz",
   "\"Solve was unable to solve the system with inexact coefficients. The \
answer was obtained by solving a corresponding exact system and numericizing \
the result.\"",2,43,19,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.770121119906765*^9, 3.7701211289810543`*^9}, 
   3.770121193204524*^9, 3.770121234270862*^9, 3.7701214123940053`*^9, {
   3.7702102160513887`*^9, 3.770210225085805*^9}, 3.7704619135655136`*^9, 
   3.7704624019460325`*^9, 3.7765270540253515`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[23]:=",ExpressionUUID->"333ab3c3-cec6-46ed-b6e6-5f335c3f299c"],

Cell[BoxData[
 TemplateBox[{
  "Solve","svars",
   "\"Equations may not give solutions for all \\\"solve\\\" variables.\"",2,
   43,20,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.770121119906765*^9, 3.7701211289810543`*^9}, 
   3.770121193204524*^9, 3.770121234270862*^9, 3.7701214123940053`*^9, {
   3.7702102160513887`*^9, 3.770210225085805*^9}, 3.7704619135655136`*^9, 
   3.7704624019460325`*^9, 3.776527054089329*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[23]:=",ExpressionUUID->"e4da4abe-9ab0-46d5-998b-ef54b4158790"],

Cell[BoxData[
 TemplateBox[{
  "Solve","ratnz",
   "\"Solve was unable to solve the system with inexact coefficients. The \
answer was obtained by solving a corresponding exact system and numericizing \
the result.\"",2,43,21,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.770121119906765*^9, 3.7701211289810543`*^9}, 
   3.770121193204524*^9, 3.770121234270862*^9, 3.7701214123940053`*^9, {
   3.7702102160513887`*^9, 3.770210225085805*^9}, 3.7704619135655136`*^9, 
   3.7704624019460325`*^9, 3.7765270541013145`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[23]:=",ExpressionUUID->"5dce6d1c-297a-4be2-9dfc-f5fe423a1471"],

Cell[BoxData[
 TemplateBox[{
  "Solve","svars",
   "\"Equations may not give solutions for all \\\"solve\\\" variables.\"",2,
   43,22,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.770121119906765*^9, 3.7701211289810543`*^9}, 
   3.770121193204524*^9, 3.770121234270862*^9, 3.7701214123940053`*^9, {
   3.7702102160513887`*^9, 3.770210225085805*^9}, 3.7704619135655136`*^9, 
   3.7704624019460325`*^9, 3.776527054141284*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[23]:=",ExpressionUUID->"f8463473-90ae-4bcf-bd86-4b7275f2764c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{"M", "[", "1", "]"}], "\[Rule]", 
        RowBox[{"-", "172700"}]}]},
      {
       RowBox[{
        RowBox[{"M", "[", "2", "]"}], "\[Rule]", "172700.`"}]},
      {
       RowBox[{
        RowBox[{"M", "[", "3", "]"}], "\[Rule]", 
        RowBox[{"-", "172700"}]}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "1", "]"}], "\[Rule]", "0"}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "2", "]"}], "\[Rule]", 
        "0.019674185463659146`"}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "3", "]"}], "\[Rule]", 
        RowBox[{"-", "0.01967418546358045`"}]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.7701211202031655`*^9, 3.770121129261855*^9}, 
   3.7701211935789247`*^9, 3.770121234667074*^9, 3.770121412674806*^9, {
   3.7702102163945894`*^9, 3.7702102253666053`*^9}, 3.7704619137745256`*^9, 
   3.7704624021280427`*^9, 3.7765270541572757`*^9},
 CellLabel->
  "Out[44]//MatrixForm=",ExpressionUUID->"2d851fcd-f211-4941-a78a-\
0b7ea9cf4e83"]
}, Open  ]]
},
WindowSize->{1536, 781},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
FrontEndVersion->"12.0 para Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 59245, 1373, 5843, "Input",ExpressionUUID->"4beed990-1231-472f-a4f8-9597653be1c8"],
Cell[CellGroupData[{
Cell[59850, 1399, 648, 13, 22, "Print",ExpressionUUID->"0ebb0cab-63c1-4edd-99fa-89e2929d1801"],
Cell[60501, 1414, 575, 11, 22, "Print",ExpressionUUID->"45cd4979-f660-4650-9db5-6860688be234"],
Cell[61079, 1427, 585, 12, 22, "Print",ExpressionUUID->"3b69e8da-ed08-4f7a-bd78-299266b94600"],
Cell[61667, 1441, 771, 17, 22, "Print",ExpressionUUID->"58ed509d-a2bb-44b5-b6a1-ff653e3b501c"]
}, Open  ]],
Cell[62453, 1461, 682, 13, 21, "Message",ExpressionUUID->"333ab3c3-cec6-46ed-b6e6-5f335c3f299c"],
Cell[63138, 1476, 589, 12, 21, "Message",ExpressionUUID->"e4da4abe-9ab0-46d5-998b-ef54b4158790"],
Cell[63730, 1490, 682, 13, 21, "Message",ExpressionUUID->"5dce6d1c-297a-4be2-9dfc-f5fe423a1471"],
Cell[64415, 1505, 589, 12, 21, "Message",ExpressionUUID->"f8463473-90ae-4bcf-bd86-4b7275f2764c"],
Cell[65007, 1519, 1506, 44, 187, "Output",ExpressionUUID->"2d851fcd-f211-4941-a78a-0b7ea9cf4e83"]
}, Open  ]]
}
]
*)

