(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     84097,       1960]
NotebookOptionsPosition[     81384,       1919]
NotebookOutlinePosition[     81728,       1934]
CellTagsIndexPosition[     81685,       1931]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Ejemplo", " ", "2"}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "Enunciado", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"nodos", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Fx", ",", "Fy", ",", "Mz"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "L", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"L", ",", "L", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"-", "F"}], ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"2", "L"}], ",", "L", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"F", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"2", "L"}], ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Fx", ",", "Fy", ",", "Mz"}], "}"}]}], "}"}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"material", "=", 
     RowBox[{"{", 
      RowBox[{"{", "vE", "}"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"perfil", "=", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"A", ",", "Iz", ",", "Mp"}], "}"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"barras", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"2", ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"3", ",", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"4", ",", "5"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"5", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "}"}]}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datos", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"L", "\[Rule]", "4"}], ",", 
       RowBox[{"vE", "\[Rule]", 
        RowBox[{"2.1", " ", 
         RowBox[{"10", "^", "11"}]}]}], ",", 
       RowBox[{"Iz", "\[Rule]", 
        RowBox[{"8360", " ", 
         RowBox[{"10", "^", 
          RowBox[{"-", "8"}]}]}]}], ",", 
       RowBox[{"S", "\[Rule]", 
        RowBox[{"628", " ", 
         RowBox[{"10", "^", 
          RowBox[{"-", "6"}]}]}]}], ",", 
       RowBox[{"\[Sigma]F", "\[Rule]", 
        RowBox[{"275", " ", 
         RowBox[{"10", "^", "6"}]}]}], ",", 
       RowBox[{"Mp", "\[Rule]", 
        RowBox[{"S", " ", "\[Sigma]F"}]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{"(*", 
    RowBox[{"Matriz", " ", "homog\[EAcute]nea"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"matrizT", "=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "Li", ",", "\[Lambda]x", ",", "\[Lambda]y", ",", "\[Lambda]z"}], 
        "}"}], ",", " ", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"nd", "=", 
         RowBox[{"Length", "[", "nodos", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"nb", "=", 
         RowBox[{"Length", "[", "barras", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"mT", "=", 
         RowBox[{
          RowBox[{"T", "[", "1", "]"}], "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", 
               RowBox[{"q", "[", "1", "]"}]}], ",", "0", ",", "0"}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"q", "[", "1", "]"}], ",", "1", ",", "0", ",", "0"}], 
             "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"nd", "-", "1"}]}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Li", "=", 
             RowBox[{"Norm", "[", 
              RowBox[{
               RowBox[{"nodos", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"i", "+", "1"}], ",", "1"}], "]"}], "]"}], "-", 
               RowBox[{"nodos", "[", 
                RowBox[{"[", 
                 RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"\[Lambda]x", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"i", "+", "1"}], ",", "1", ",", "1"}], "]"}], 
                 "]"}], "-", 
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", ",", "1", ",", "1"}], "]"}], "]"}]}], ")"}], 
              "/", "Li"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"\[Lambda]y", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"i", "+", "1"}], ",", "1", ",", "2"}], "]"}], 
                 "]"}], "-", 
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", ",", "1", ",", "2"}], "]"}], "]"}]}], ")"}], 
              "/", "Li"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"\[Lambda]z", "=", 
             RowBox[{"0", "/", "Li"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"T", "[", 
              RowBox[{"i", "+", "1"}], "]"}], "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"1", ",", 
                 RowBox[{"-", 
                  RowBox[{"q", "[", 
                   RowBox[{"i", "+", "1"}], "]"}]}], ",", "0", ",", 
                 RowBox[{"\[Lambda]x", " ", "Li"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"q", "[", 
                  RowBox[{"i", "+", "1"}], "]"}], ",", "1", ",", "0", ",", 
                 RowBox[{"\[Lambda]y", " ", "Li"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "1", ",", 
                 RowBox[{"\[Lambda]z", " ", "Li"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]}],
             ";", "\[IndentingNewLine]", 
            RowBox[{"mT", "=", 
             RowBox[{"mT", ".", 
              RowBox[{"T", "[", 
               RowBox[{"i", "+", "1"}], "]"}]}]}], ";"}], 
           "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", "]"}], ";", 
        "\[IndentingNewLine]", "mT"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"R\[OAcute]tulas", " ", "pl\[AAcute]sticas"}], "*)"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"NPR", ",", "Comp"}], "}"}], "=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"NPR", ",", "Comp"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"NPR", "=", "0"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Comp", "=", 
         RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
          RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"nodos", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "2", ",", "1"}], "]"}], "]"}], 
                 "\[Equal]", "Fx"}], "||", 
                RowBox[{
                 RowBox[{"nodos", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "2", ",", "2"}], "]"}], "]"}], 
                 "\[Equal]", "Fy"}]}], ")"}], "&&", 
              RowBox[{
               RowBox[{"nodos", "[", 
                RowBox[{"[", 
                 RowBox[{"i", ",", "2", ",", "3"}], "]"}], "]"}], "\[Equal]", 
               "0"}]}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"NPR", "=", "NPR"}], ",", 
               RowBox[{"Comp", "=", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"Comp", ",", "0"}], "]"}]}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"NPR", "+=", "1"}], ",", 
               RowBox[{"Comp", "=", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"Comp", ",", "1"}], "]"}]}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"NPR", "+=", "1"}], ",", 
               RowBox[{"Comp", "=", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"Comp", ",", "1"}], "]"}]}]}], "}"}]}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"NPR", ",", "Comp"}], "}"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Comp", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<El n\[UAcute]mero de posibles r\[OAcute]tulas plasticas es de \>\"",
       ",", "NPR"}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Ecuaciones", " ", "de", " ", "equilibrio"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GH", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", 
      RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"nodos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2", ",", "1"}], "]"}], "]"}], "\[Equal]", 
          "Fx"}], ",", 
         RowBox[{"GH", "+=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"nodos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2", ",", "2"}], "]"}], "]"}], "\[Equal]", 
          "Fy"}], ",", 
         RowBox[{"GH", "+=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"nodos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2", ",", "3"}], "]"}], "]"}], "\[Equal]", 
          "Mz"}], ",", 
         RowBox[{"GH", "+=", "1"}]}], "]"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GH", "=", 
     RowBox[{"GH", "-", "3"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"nodos", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "nd"}], "}"}]}], "]"}], "\[Equal]", "0"}], ",", 
      RowBox[{"GH", "=", 
       RowBox[{"GH", "-", "1"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"EQ", "=", 
     RowBox[{"NPR", "-", "GH"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Ecuaciones de equilibrio = \>\"", ",", " ", "EQ"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Ecuaciones de compatibilidad = \>\"", ",", " ", "GH"}], 
     "]"}], ";"}], "\n", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Posibles", " ", "mecanismo", " ", "de", " ", "colapso", " ", 
     RowBox[{"(", "todos", ")"}]}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mec", "=", 
     RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mec", "=", 
     RowBox[{"Subsets", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"i", "=", "1"}], ",", 
           RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
           RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Comp", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "1"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"AppendTo", "[", 
              RowBox[{"mec", ",", 
               RowBox[{"barras", "[", 
                RowBox[{"[", 
                 RowBox[{"i", ",", "1", ",", "1"}], "]"}], "]"}]}], "]"}]}], 
            "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], ";",
          "\[IndentingNewLine]", "mec"}], ")"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"NPR", "-", 
          RowBox[{"(", 
           RowBox[{"nd", "-", "3"}], ")"}]}], ",", "NPR"}], "}"}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Todas las posibles combinaciones de r\[OAcute]tulas \
pl\[AAcute]sticas son:\>\"", ",", "mec"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mecnec", "=", "mec"}], ";"}], "\[IndentingNewLine]", "\n", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"avanza", "=", 
      RowBox[{"Length", "[", 
       RowBox[{"mecnec", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ",", 
     RowBox[{"avanza", "\[LessEqual]", 
      RowBox[{"Length", "[", "nodos", "]"}]}], ",", 
     RowBox[{"avanza", "++"}], ",", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"mecextra", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", 
              RowBox[{"Length", "[", "mecnec", "]"}]}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", 
                 RowBox[{"mecnec", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "]"}], "\[Equal]", 
                "avanza"}], ",", 
               RowBox[{"AppendTo", "[", 
                RowBox[{"mecextra", ",", 
                 RowBox[{"mecnec", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], "]"}]}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"mec", "=", "mecextra"}], ";", "\[IndentingNewLine]", 
           RowBox[{"dim", "=", 
            RowBox[{"Length", "[", "mecextra", "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"mec2", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", "dim"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"mec2", "[", 
                RowBox[{"[", "i", "]"}], "]"}], "=", 
               RowBox[{"mec", "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"j", "=", "1"}], ",", 
                RowBox[{"j", "\[LessEqual]", 
                 RowBox[{"nd", "-", 
                  RowBox[{"Length", "[", 
                   RowBox[{"mec", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}]}]}], ",", 
                RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{
                  RowBox[{"mec2", "[", 
                   RowBox[{"[", "i", "]"}], "]"}], ",", "0"}], "]"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"mec3", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", "dim", ",", "nd"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"j", "=", "1"}], ",", 
                RowBox[{"j", "\[LessEqual]", "nd"}], ",", 
                RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"mec2", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}], "\[NotEqual]", 
                    "0"}], ",", 
                   RowBox[{
                    RowBox[{"mec3", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", 
                    RowBox[{"mec2", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}]}], "]"}], "]"}], 
                    "=", 
                    RowBox[{"mec2", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}]}]}], "]"}], ";"}]}],
                "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"MCp", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", "dim"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"j", "=", "1"}], ",", 
             RowBox[{"j", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"k", "=", "0"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"i", "=", "1"}], ",", 
                 RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
                 RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Comp", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "1"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"mec3", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "i"}], "]"}], "]"}], "\[NotEqual]", 
                    "0"}], "&&", 
                    RowBox[{"k", "\[Equal]", "0"}]}], ",", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", "=", "1"}], ";", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"q", "[", "i", "]"}], "\[Equal]", 
                    "\[CapitalDelta]v"}]}], "]"}]}], ")"}]}], "]"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"mec3", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "i"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"q", "[", "i", "]"}], "\[Equal]", "0"}]}], 
                    "]"}]}], "]"}]}], ")"}]}], "\[IndentingNewLine]", "]"}]}],
                 "\[IndentingNewLine]", "]"}], ";"}], ")"}]}], 
            "\[IndentingNewLine]", "]"}], ";", "\n", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"Mecanismos", " ", "propuestos"}], ",", " ", 
             RowBox[{"ecuaciones", " ", "de", " ", "equilibrio"}]}], "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"\[CapitalDelta]v", "=", "0.000001"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"sol", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", "dim", "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"gdl", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"q", "[", "i", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "1", ",", "nd"}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Do", "[", " ", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"vP", "=", 
               RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"i", "=", "1"}], ",", 
                RowBox[{"i", "\[LessEqual]", 
                 RowBox[{"nd", "-", 
                  RowBox[{"Length", "[", 
                   RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "]"}]}]}], ",", 
                RowBox[{"i", "++"}], ",", 
                RowBox[{"(", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"i", "\[Equal]", "1"}], ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"vP", ",", 
                    RowBox[{"mT", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "4"}], "]"}], "]"}]}], "]"}]}], "]"}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"i", "\[Equal]", "2"}], ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"vP", ",", 
                    RowBox[{"mT", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "]"}]}], "]"}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"i", "\[Equal]", "3"}], ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"vP", ",", 
                    RowBox[{"mT", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "4"}], "]"}], "]"}]}], "]"}]}], "]"}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"j", "=", "i"}], ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"j", ">", "3"}], ",", 
                    RowBox[{"j", "=", "3"}]}], "]"}], ";"}], 
                 "\[IndentingNewLine]", ")"}]}], "\[IndentingNewLine]", "]"}],
               ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"j", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"kk", "=", 
                  RowBox[{
                   RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"vP", "\[Equal]", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"nd", ",", "1", ",", "2"}], "]"}], "]"}]}], "}"}],
                     ",", 
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "gdl"}], "\[IndentingNewLine]", 
                    "]"}], "/.", "datos"}]}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"j", "\[Equal]", "2"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"kk", "=", 
                  RowBox[{
                   RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"vP", "\[Equal]", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"nd", ",", "1", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}]}], "]"}], "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "gdl"}], "\[IndentingNewLine]", 
                    "]"}], "/.", "datos"}]}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"j", "\[Equal]", "3"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"kk", "=", 
                  RowBox[{
                   RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"vP", "\[Equal]", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"nd", ",", "1", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3", ",", "1"}], "}"}]}], "]"}], 
                    "]"}]}], "}"}], ",", 
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "gdl"}], "\[IndentingNewLine]", 
                    "]"}], "/.", "datos"}]}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"s", "=", "0"}], ";", "\[IndentingNewLine]", 
              RowBox[{"j", "=", "0"}], ";", "\[IndentingNewLine]", 
              RowBox[{"min", "=", 
               RowBox[{"10", "^", "10"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"i", "=", "1"}], ";", "\[IndentingNewLine]", 
              RowBox[{"Do", "[", 
               RowBox[{
                RowBox[{"s", "+=", 
                 RowBox[{
                  RowBox[{"Abs", "[", 
                   RowBox[{"q", "[", "i", "]"}], "]"}], "/.", "kk"}]}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", 
                  RowBox[{"nd", "-", "1"}]}], "}"}]}], "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"Do", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"s", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "<", "min"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"min", "=", 
                    RowBox[{"s", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], ",", 
                    RowBox[{"j", "=", "i"}]}], "}"}]}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"i", ",", 
                  RowBox[{"Length", "[", "s", "]"}]}], "}"}]}], 
               "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"sol", "[", 
                RowBox[{"[", "neq", "]"}], "]"}], "=", 
               RowBox[{"kk", "[", 
                RowBox[{"[", "j", "]"}], "]"}]}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"sol2", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"sol", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "List"}], ",", 
               ",", ",", "\[IndentingNewLine]", 
               RowBox[{"AppendTo", "[", 
                RowBox[{"sol2", ",", 
                 RowBox[{"sol", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], 
              "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"sol", "=", "sol2"}], ";", "\[IndentingNewLine]", 
           RowBox[{"sol", "=", 
            RowBox[{"Chop", "[", 
             RowBox[{"sol", ",", 
              RowBox[{"10", "^", 
               RowBox[{"-", "8"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", "desplazamientos", "*)"}], "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"dim", "=", 
            RowBox[{"Length", "[", "sol", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"\[Delta]", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"Table", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"Dot", "@@", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"T", "[", "j", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"j", ",", "i"}], "}"}]}], "]"}]}], ")"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", "4"}], 
                    "]"}], "]"}], ")"}], "-", 
                   RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "1"}], "]"}], "]"}]}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "nd"}], "}"}]}], "\[IndentingNewLine]", 
                 "]"}], "/.", 
                RowBox[{"sol", "[", 
                 RowBox[{"[", "neq", "]"}], "]"}]}], "/.", "datos"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"\[Delta]", "=", 
            RowBox[{"Chop", "[", 
             RowBox[{"\[Delta]", ",", 
              RowBox[{"10", "^", 
               RowBox[{"-", "6"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"Aplicar", " ", "el", " ", "PDV"}], "*)"}], "\n", 
           "\[IndentingNewLine]", 
           RowBox[{"eq", "=", 
            RowBox[{
             RowBox[{
              RowBox[{"Table", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"\[Delta]", "[", 
                    RowBox[{"[", 
                    RowBox[{"neq", ",", "i"}], "]"}], "]"}], ".", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "2"}], "]"}], "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}], "-", 
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], 
                    RowBox[{"q", "[", "i", "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], ")"}], "/", 
                  "\[CapitalDelta]v"}], "/.", 
                 RowBox[{"sol", "[", 
                  RowBox[{"[", "neq", "]"}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
               "]"}], "/.", 
              RowBox[{"(", 
               RowBox[{"0.0", "\[Rule]", "0"}], ")"}]}], "//", "Simplify"}]}],
            ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"Ensayo", " ", "de", " ", "mecanismos"}], "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Mreal", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", 
              RowBox[{"{", "dim", "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"i", "=", "1"}], ",", 
                RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
                RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"If", "[", " ", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"q", "[", "i", "]"}], "\[NotEqual]", "0"}], "/.", 
                    RowBox[{
                    RowBox[{"sol", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "||", 
                    RowBox[{
                    RowBox[{"Comp", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "0"}]}]}], 
                   ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "=", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                    RowBox[{"(", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"repite", "\[Equal]", "1"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"Sign", "[", 
                    RowBox[{"q", "[", "i", "]"}], "]"}], "Mp"}]}], "/.", 
                    RowBox[{"sol", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sign", "[", 
                    RowBox[{"q", "[", "i", "]"}], "]"}]}], "Mp"}]}], "/.", 
                    RowBox[{"sol", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}]}], 
                    "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
                    ")"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "=", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"\[Theta]", "[", "i", "]"}], "\[Rule]", "0"}]}], 
                    "]"}]}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "=", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", "0"}]}], 
                    "]"}]}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
             ",", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\n", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"Ecuaciones", " ", "de", " ", "compatibilidad"}], "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"cc", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
             RowBox[{"i", "++"}], ",", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Comp", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "0"}], ",", 
               RowBox[{"(", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"cc", ",", 
                  RowBox[{
                   RowBox[{"m", "[", "i", "]"}], "\[Equal]", "0"}]}], "]"}], 
                ")"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"ec", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "EQ"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"j", "=", "1"}], ",", 
               RowBox[{"j", "\[LessEqual]", "dim"}], ",", 
               RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"sol", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", 
                    RowBox[{"nd", "-", "i", "+", "1"}], ",", "2"}], "]"}], 
                    "]"}], "\[NotEqual]", "0"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"ec", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"eq", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "/.", 
                    RowBox[{"F", "\[Rule]", "0"}]}], "/.", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", 
                    RowBox[{"m", "[", "i", "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"j", "=", "dim"}], ";", 
                    RowBox[{
                    RowBox[{"eq", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "=", "0"}]}], ")"}]}], 
                 "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]",
               "]"}]}], "\[IndentingNewLine]", "]"}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"mvirtual", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                RowBox[{"Join", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"m", "[", "i", "]"}], "\[Equal]", 
                    RowBox[{"DiscreteDelta", "[", 
                    RowBox[{"j", "-", "i"}], "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "GH"}], "}"}]}], "]"}], ",", "cc", ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"ec", "\[Equal]", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", "EQ", "}"}]}], "]"}]}], "}"}]}], 
                 "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}], 
               "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"j", ",", "GH"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"mvirtual", "=", 
            RowBox[{"Chop", "[", 
             RowBox[{"mvirtual", ",", 
              RowBox[{"10", "^", 
               RowBox[{"-", "6"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"EC", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Table", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"pfv", "=", "0"}], ";", 
                    RowBox[{"i", "=", "1"}]}], ",", 
                   RowBox[{"i", "\[LessEqual]", 
                    RowBox[{"nb", "-", "1"}]}], ",", 
                   RowBox[{"i", "++"}], ",", 
                   RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Li", "=", 
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", "1"}], "]"}], "]"}], "-", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "]"}], "/.", 
                    "datos"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"vEi", "=", 
                    RowBox[{"material", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"barras", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
                    "1"}], "]"}], "]"}]}], " ", ";", "\[IndentingNewLine]", 
                    RowBox[{"Izi", "=", 
                    RowBox[{"perfil", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"barras", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
                    "2"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"Mi", "=", 
                    RowBox[{"M", "[", "i", "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Mj", "=", 
                    RowBox[{"M", "[", 
                    RowBox[{"i", "+", "1"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"mi", "=", 
                    RowBox[{"m", "[", "i", "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"mj", "=", 
                    RowBox[{"m", "[", 
                    RowBox[{"i", "+", "1"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"pfv", "+=", 
                    RowBox[{
                    RowBox[{"Li", "/", 
                    RowBox[{"(", 
                    RowBox[{"6", " ", "vEi", " ", "Izi"}], ")"}]}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"mi", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "Mi"}], "+", "Mj"}], ")"}]}], "+", 
                    RowBox[{"mj", 
                    RowBox[{"(", 
                    RowBox[{"Mi", "+", 
                    RowBox[{"2", "Mj"}]}], ")"}]}]}], ")"}]}]}], ";"}], 
                    "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", 
                  " ", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"pfv", "+=", 
                  RowBox[{"Sum", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"m", "[", "i", "]"}], 
                    RowBox[{"\[Theta]", "[", "i", "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"pfv", "=", 
                  RowBox[{"Simplify", "[", 
                   RowBox[{
                    RowBox[{"pfv", "/.", 
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "/.", 
                    RowBox[{"mvirtual", "[", 
                    RowBox[{"[", "j", "]"}], "]"}]}], "]"}]}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"j", ",", "GH"}], "}"}]}], "\[IndentingNewLine]", 
               "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\n", "\[IndentingNewLine]", 
           RowBox[{"adic", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Table", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"Mreal", "[", 
                  RowBox[{"[", 
                   RowBox[{"neq", ",", "i", ",", "1"}], "]"}], "]"}], 
                 "\[Equal]", 
                 RowBox[{"Mreal", "[", 
                  RowBox[{"[", 
                   RowBox[{"neq", ",", "i", ",", "2"}], "]"}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "nd"}], "}"}]}], "\[IndentingNewLine]", 
               "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"incog", "=", 
            RowBox[{"Join", "[", 
             RowBox[{
              RowBox[{"{", "F", "}"}], ",", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"M", "[", "i", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "nd"}], "}"}]}], "]"}], ",", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"\[Theta]", "[", "i", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"giros", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", 
              RowBox[{"{", "dim", "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"i", "=", "1"}], ",", 
               RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
               RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{"If", "[", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Mreal", "[", 
                   RowBox[{"[", 
                    RowBox[{"neq", ",", "i", ",", "1"}], "]"}], "]"}], 
                  "\[Equal]", 
                  RowBox[{"M", "[", "i", "]"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{"AppendTo", "[", 
                  RowBox[{
                   RowBox[{"giros", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                   RowBox[{"\[Theta]", "[", "i", "]"}]}], "]"}]}], 
                "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "ensayar", " ", "los", " ", "mecanismos", " ", "posibles"}], 
            "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Do", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"i", "=", "1"}], ",", 
               RowBox[{"i", "\[LessEqual]", 
                RowBox[{"Length", "[", 
                 RowBox[{"giros", "[", 
                  RowBox[{"[", "neq", "]"}], "]"}], "]"}]}], ",", 
               RowBox[{"i", "++"}], ",", 
               RowBox[{"{", " ", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"j", "=", "1"}], ",", 
                  RowBox[{"j", "\[LessEqual]", 
                   RowBox[{
                    RowBox[{"Length", "[", "eq", "]"}], "-", "EQ", "+", 
                    "1"}]}], ",", 
                  RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"add", "=", 
                    RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"k", "=", "j"}], ",", 
                    RowBox[{"k", "\[LessEqual]", 
                    RowBox[{"EQ", "+", "j", "-", "1"}]}], ",", 
                    RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"add", ",", 
                    RowBox[{"eq", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"sol", "=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Solve", "[", " ", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"EC", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "\[Equal]", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", "GH", "}"}]}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"add", "\[Equal]", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", "EQ", "}"}]}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"giros", "[", 
                    RowBox[{"[", 
                    RowBox[{"neq", ",", "i"}], "]"}], "]"}], "}"}], 
                    "\[Equal]", 
                    RowBox[{"{", "0", "}"}]}]}], "\[IndentingNewLine]", "}"}],
                     ",", "\[IndentingNewLine]", 
                    RowBox[{"adic", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "\[IndentingNewLine]",
                     "]"}], ",", "incog"}], "\[IndentingNewLine]", "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "/.", 
                    RowBox[{"(", 
                    RowBox[{"0.0", "\[Rule]", "0"}], ")"}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Refine", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"And", "@@", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Abs", "[", 
                    RowBox[{"M", "[", "i", "]"}], "]"}], "\[LessEqual]", 
                    "Mp"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], "/.", "sol"}],
                     ")"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Assumptions", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Mp", ">", "0"}], ",", 
                    RowBox[{"Iz", ">", "0"}], ",", 
                    RowBox[{"vE", ">", "0"}]}], "}"}]}]}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Refine", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"And", "@@", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sign", "[", 
                    RowBox[{
                    RowBox[{"\[Theta]", "[", "i", "]"}], 
                    RowBox[{"M", "[", "i", "]"}]}], "]"}], "\[GreaterEqual]", 
                    "0"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], "/.", "sol"}],
                     ")"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Assumptions", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Mp", ">", "0"}], ",", 
                    RowBox[{"Iz", ">", "0"}], ",", 
                    RowBox[{"vE", ">", "0"}]}], "}"}]}]}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"solucion", "=", "sol"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"i", "=", 
                    RowBox[{"Length", "[", 
                    RowBox[{"giros", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "]"}]}]}], "}"}]}], " ",
                     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
                    "]"}]}], "\[IndentingNewLine]", "}"}]}], 
                 "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "}"}]}],
               "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"solucion", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}], "//.", "datos"}], 
               ")"}], "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"solucion", "=", 
                RowBox[{"(", 
                 RowBox[{"solucion", "//.", "datos"}], ")"}]}], ",", 
               RowBox[{"repite", "=", "2"}]}], "}"}]}], "]"}], ";"}], 
          "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"repite", ",", "2"}], "}"}]}], "\[IndentingNewLine]", "]"}],
        ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"solucion", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "2"}], "]"}], "]"}], "//.", "datos"}], ")"}], 
          "\[GreaterEqual]", "0"}], ",", 
         RowBox[{"avanza", "=", 
          RowBox[{
           RowBox[{"Length", "[", "nodos", "]"}], "+", "1"}]}]}], "]"}], 
       ";"}], "\[IndentingNewLine]", "}"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"MatrixForm", "[", 
    RowBox[{"solucion", "//.", "datos"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7607980090067687`*^9, 3.760798030177006*^9}, 
   3.7607980994309287`*^9, {3.762006650212393*^9, 3.762006650582414*^9}, 
   3.765169190908366*^9, {3.765169354615055*^9, 3.7651693636915812`*^9}, {
   3.7652853769768686`*^9, 3.7652854218299475`*^9}, {3.765375305841471*^9, 
   3.7653753397805314`*^9}, 3.7694300462771935`*^9, {3.770119246859029*^9, 
   3.770119318818181*^9}, {3.7701194454526334`*^9, 3.7701194517536564`*^9}, {
   3.770119524648168*^9, 3.7701195587179775`*^9}, {3.7701196065664005`*^9, 
   3.770119613473816*^9}, 3.770119771442543*^9, {3.7701198194781885`*^9, 
   3.7701198486487875`*^9}, {3.770120060396432*^9, 3.7701200664584804`*^9}, {
   3.7701204603171577`*^9, 3.770120460785159*^9}, 3.7701208165403166`*^9, {
   3.770120855088713*^9, 3.770120953794075*^9}, {3.7701210106821084`*^9, 
   3.7701210291968155`*^9}, {3.770121113249881*^9, 3.7701211191267633`*^9}, {
   3.770121191800905*^9, 3.7701211923143225`*^9}, {3.7701213551661935`*^9, 
   3.7701214088081627`*^9}, {3.7701215195237374`*^9, 
   3.7701215292347913`*^9}, {3.770121627494314*^9, 3.770121646067197*^9}, 
   3.770124631944734*^9, {3.770124749938092*^9, 3.7701247512806945`*^9}, {
   3.770210273072692*^9, 3.770210285368513*^9}, 3.7702103409980173`*^9, {
   3.7704625242645645`*^9, 3.7704625961486692`*^9}, 3.7704646603987136`*^9, {
   3.770465548473955*^9, 3.7704655547344246`*^9}, {3.7706173306268578`*^9, 
   3.7706173315492764`*^9}, {3.775027485461375*^9, 3.775027494663886*^9}, {
   3.7750537183406773`*^9, 3.775053727074417*^9}, {3.775217619056501*^9, 
   3.775217660916237*^9}, {3.775826288840538*^9, 3.775826365415887*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"8d355216-8197-4cd7-bee1-2317c8df4789"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El n\[UAcute]mero de posibles r\[OAcute]tulas plasticas es de \
\"\>", "\[InvisibleSpace]", "5"}],
  SequenceForm[
  "El n\[UAcute]mero de posibles r\[OAcute]tulas plasticas es de ", 5],
  Editable->False]], "Print",
 CellChangeTimes->{3.770124632989936*^9, 3.770124676134935*^9, 
  3.7701247279199743`*^9, 3.7701247846496706`*^9, 3.7702102877659216`*^9, 
  3.775027551631604*^9, 3.7750541501463747`*^9, 3.775826371742154*^9, 
  3.776526983740613*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"8b746595-b0c8-4ff8-9d3a-e63eec489367"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Ecuaciones de equilibrio = \"\>", "\[InvisibleSpace]", "2"}],
  SequenceForm["Ecuaciones de equilibrio = ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{3.770124632989936*^9, 3.770124676134935*^9, 
  3.7701247279199743`*^9, 3.7701247846496706`*^9, 3.7702102877659216`*^9, 
  3.775027551631604*^9, 3.7750541501463747`*^9, 3.775826371742154*^9, 
  3.7765269837456083`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"25396016-9728-44a7-a09a-3acf18cbdfd9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Ecuaciones de compatibilidad = \"\>", "\[InvisibleSpace]", 
   "3"}],
  SequenceForm["Ecuaciones de compatibilidad = ", 3],
  Editable->False]], "Print",
 CellChangeTimes->{3.770124632989936*^9, 3.770124676134935*^9, 
  3.7701247279199743`*^9, 3.7701247846496706`*^9, 3.7702102877659216`*^9, 
  3.775027551631604*^9, 3.7750541501463747`*^9, 3.775826371742154*^9, 
  3.7765269837546034`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"6c84bac9-d003-4c4b-a040-3a08200d27ca"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Todas las posibles combinaciones de r\[OAcute]tulas \
pl\[AAcute]sticas son:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}]}], "}"}]}],
  SequenceForm[
  "Todas las posibles combinaciones de r\[OAcute]tulas pl\[AAcute]sticas \
son:", {{1, 2, 3}, {1, 2, 4}, {1, 2, 5}, {1, 3, 4}, {1, 3, 5}, {1, 4, 5}, {2, 
    3, 4}, {2, 3, 5}, {2, 4, 5}, {3, 4, 5}, {1, 2, 3, 4}, {1, 2, 3, 5}, {1, 2,
     4, 5}, {1, 3, 4, 5}, {2, 3, 4, 5}, {1, 2, 3, 4, 5}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.770124632989936*^9, 3.770124676134935*^9, 
  3.7701247279199743`*^9, 3.7701247846496706`*^9, 3.7702102877659216`*^9, 
  3.775027551631604*^9, 3.7750541501463747`*^9, 3.775826371742154*^9, 
  3.776526983759602*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"b554a26f-d4c1-4ac4-bdec-e7ea9d97f866"]
}, Open  ]],

Cell[BoxData[
 TemplateBox[{
  "Solve","ratnz",
   "\"Solve was unable to solve the system with inexact coefficients. The \
answer was obtained by solving a corresponding exact system and numericizing \
the result.\"",2,21,1,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.770124633208336*^9, 3.7701246764001355`*^9, 
  3.7701247348940144`*^9, 3.7701247852658787`*^9, 3.770210288031122*^9, 
  3.7750275517409534`*^9, 3.775054150231023*^9, 3.775826372179333*^9, 
  3.7765269840004625`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"1616a843-03a8-490f-a4f1-299dd8b626ba"],

Cell[BoxData[
 TemplateBox[{
  "Solve","ratnz",
   "\"Solve was unable to solve the system with inexact coefficients. The \
answer was obtained by solving a corresponding exact system and numericizing \
the result.\"",2,21,2,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.770124633208336*^9, 3.7701246764001355`*^9, 
  3.7701247348940144`*^9, 3.7701247852658787`*^9, 3.770210288031122*^9, 
  3.7750275517409534`*^9, 3.775054150231023*^9, 3.775826372179333*^9, 
  3.776526984061429*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"a25f02c2-301d-4b89-b429-278a0f54b90b"],

Cell[BoxData[
 TemplateBox[{
  "Solve","ratnz",
   "\"Solve was unable to solve the system with inexact coefficients. The \
answer was obtained by solving a corresponding exact system and numericizing \
the result.\"",2,21,3,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.770124633208336*^9, 3.7701246764001355`*^9, 
  3.7701247348940144`*^9, 3.7701247852658787`*^9, 3.770210288031122*^9, 
  3.7750275517409534`*^9, 3.775054150231023*^9, 3.775826372179333*^9, 
  3.776526984120394*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"dfa73c9f-a212-4def-b13d-d3071576c6cb"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"Solve\\\", \\\"::\\\", \
\\\"ratnz\\\"}], \\\"MessageName\\\"]\\) will be suppressed during this \
calculation.\"",2,21,4,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.770124633208336*^9, 3.7701246764001355`*^9, 
  3.7701247348940144`*^9, 3.7701247852658787`*^9, 3.770210288031122*^9, 
  3.7750275517409534`*^9, 3.775054150231023*^9, 3.775826372179333*^9, 
  3.7765269841923532`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"27f618cb-9927-4e21-b8d1-d5ad2f9b251e"],

Cell[BoxData[
 TemplateBox[{
  "Solve","svars",
   "\"Equations may not give solutions for all \\\"solve\\\" variables.\"",2,
   21,5,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.770124633208336*^9, 3.7701246764001355`*^9, 
  3.7701247348940144`*^9, 3.7701247852658787`*^9, 3.770210288031122*^9, 
  3.7750275517409534`*^9, 3.775054150231023*^9, 3.775826372179333*^9, 
  3.776526984408228*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"3620b301-b1cd-4112-8980-a3ebb022dae1"],

Cell[BoxData[
 TemplateBox[{
  "Solve","svars",
   "\"Equations may not give solutions for all \\\"solve\\\" variables.\"",2,
   21,6,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.770124633208336*^9, 3.7701246764001355`*^9, 
  3.7701247348940144`*^9, 3.7701247852658787`*^9, 3.770210288031122*^9, 
  3.7750275517409534`*^9, 3.775054150231023*^9, 3.775826372179333*^9, 
  3.7765269844691935`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"15638cd9-e77e-455e-a2be-a051cef639d8"],

Cell[BoxData[
 TemplateBox[{
  "Solve","svars",
   "\"Equations may not give solutions for all \\\"solve\\\" variables.\"",2,
   21,7,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.770124633208336*^9, 3.7701246764001355`*^9, 
  3.7701247348940144`*^9, 3.7701247852658787`*^9, 3.770210288031122*^9, 
  3.7750275517409534`*^9, 3.775054150231023*^9, 3.775826372179333*^9, 
  3.776526984479212*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"694bf5f0-9642-42ca-94c1-2288474cfb25"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"Solve\\\", \\\"::\\\", \
\\\"svars\\\"}], \\\"MessageName\\\"]\\) will be suppressed during this \
calculation.\"",2,21,8,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.770124633208336*^9, 3.7701246764001355`*^9, 
  3.7701247348940144`*^9, 3.7701247852658787`*^9, 3.770210288031122*^9, 
  3.7750275517409534`*^9, 3.775054150231023*^9, 3.775826372179333*^9, 
  3.7765269844941797`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"0530cf15-6623-43c2-8214-3beeaf3b2c69"],

Cell[BoxData[
 TemplateBox[{
  "Part","partw",
   "\"Part \\!\\(\\*RowBox[{\\\"1\\\"}]\\) of \\!\\(\\*RowBox[{\\\"{\\\", \
\\\"}\\\"}]\\) does not exist.\"",2,21,9,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.770124633208336*^9, 3.7701246764001355`*^9, 
  3.7701247348940144`*^9, 3.7701247852658787`*^9, 3.770210288031122*^9, 
  3.7750275517409534`*^9, 3.775054150231023*^9, 3.775826372179333*^9, 
  3.7765269846360993`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"ee153d21-dffe-4eb1-81f8-7620a0667053"],

Cell[BoxData[
 TemplateBox[{
  "ReplaceAll","reps",
   "\"\\!\\(\\*RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \\\"}\\\"}], \
\\\"\[LeftDoubleBracket]\\\", \\\"1\\\", \\\"\[RightDoubleBracket]\\\"}], \
\\\"}\\\"}]\\) is neither a list of replacement rules nor a valid dispatch \
table, and so cannot be used for replacing.\"",2,21,10,24515749725321138673,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.770124633208336*^9, 3.7701246764001355`*^9, 
  3.7701247348940144`*^9, 3.7701247852658787`*^9, 3.770210288031122*^9, 
  3.7750275517409534`*^9, 3.775054150231023*^9, 3.775826372179333*^9, 
  3.776526984702061*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"e5d37289-e3a7-47a4-a8f1-5230b7736646"],

Cell[BoxData[
 TemplateBox[{
  "Part","partw",
   "\"Part \\!\\(\\*RowBox[{\\\"1\\\"}]\\) of \\!\\(\\*RowBox[{\\\"{\\\", \
\\\"}\\\"}]\\) does not exist.\"",2,21,11,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.770124633208336*^9, 3.7701246764001355`*^9, 
  3.7701247348940144`*^9, 3.7701247852658787`*^9, 3.770210288031122*^9, 
  3.7750275517409534`*^9, 3.775054150231023*^9, 3.775826372179333*^9, 
  3.7765269854446363`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"3d8c7c31-0107-4fb7-b855-ee3e3ea63055"],

Cell[BoxData[
 TemplateBox[{
  "ReplaceAll","reps",
   "\"\\!\\(\\*RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \\\"}\\\"}], \
\\\"\[LeftDoubleBracket]\\\", \\\"1\\\", \\\"\[RightDoubleBracket]\\\"}], \
\\\"}\\\"}]\\) is neither a list of replacement rules nor a valid dispatch \
table, and so cannot be used for replacing.\"",2,21,12,24515749725321138673,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.770124633208336*^9, 3.7701246764001355`*^9, 
  3.7701247348940144`*^9, 3.7701247852658787`*^9, 3.770210288031122*^9, 
  3.7750275517409534`*^9, 3.775054150231023*^9, 3.775826372179333*^9, 
  3.776526985518594*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"cfa7a184-e371-4d3a-b352-f1c99c048d8d"],

Cell[BoxData[
 TemplateBox[{
  "Part","partw",
   "\"Part \\!\\(\\*RowBox[{\\\"1\\\"}]\\) of \\!\\(\\*RowBox[{\\\"{\\\", \
\\\"}\\\"}]\\) does not exist.\"",2,21,13,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.770124633208336*^9, 3.7701246764001355`*^9, 
  3.7701247348940144`*^9, 3.7701247852658787`*^9, 3.770210288031122*^9, 
  3.7750275517409534`*^9, 3.775054150231023*^9, 3.775826372179333*^9, 
  3.7765269861962037`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"68ae8166-8c72-4b83-bf5f-9ee92f0f5391"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"Part\\\", \\\"::\\\", \
\\\"partw\\\"}], \\\"MessageName\\\"]\\) will be suppressed during this \
calculation.\"",2,21,14,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.770124633208336*^9, 3.7701246764001355`*^9, 
  3.7701247348940144`*^9, 3.7701247852658787`*^9, 3.770210288031122*^9, 
  3.7750275517409534`*^9, 3.775054150231023*^9, 3.775826372179333*^9, 
  3.7765269862681665`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"f490b847-8f65-4862-aa2b-a49925d7400a"],

Cell[BoxData[
 TemplateBox[{
  "ReplaceAll","reps",
   "\"\\!\\(\\*RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \\\"}\\\"}], \
\\\"\[LeftDoubleBracket]\\\", \\\"1\\\", \\\"\[RightDoubleBracket]\\\"}], \
\\\"}\\\"}]\\) is neither a list of replacement rules nor a valid dispatch \
table, and so cannot be used for replacing.\"",2,21,15,24515749725321138673,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.770124633208336*^9, 3.7701246764001355`*^9, 
  3.7701247348940144`*^9, 3.7701247852658787`*^9, 3.770210288031122*^9, 
  3.7750275517409534`*^9, 3.775054150231023*^9, 3.775826372179333*^9, 
  3.7765269862771587`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"46a7fdcf-9397-46da-98e4-ce030cb40ff7"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"ReplaceAll\\\", \
\\\"::\\\", \\\"reps\\\"}], \\\"MessageName\\\"]\\) will be suppressed during \
this calculation.\"",2,21,16,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.770124633208336*^9, 3.7701246764001355`*^9, 
  3.7701247348940144`*^9, 3.7701247852658787`*^9, 3.770210288031122*^9, 
  3.7750275517409534`*^9, 3.775054150231023*^9, 3.775826372179333*^9, 
  3.776526986293152*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"97b2895d-60ed-4df1-915a-3be3bd957c70"],

Cell[BoxData[
 TemplateBox[{
  "Part","partd",
   "\"Part specification \\!\\(\\*RowBox[{\\\"solucion\\\", \\\"\
\[LeftDoubleBracket]\\\", RowBox[{\\\"1\\\", \\\",\\\", \\\"2\\\"}], \\\"\
\[RightDoubleBracket]\\\"}]\\) is longer than depth of object.\"",2,21,17,
   24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.770124633208336*^9, 3.7701246764001355`*^9, 
  3.7701247348940144`*^9, 3.7701247852658787`*^9, 3.770210288031122*^9, 
  3.7750275517409534`*^9, 3.775054150231023*^9, 3.775826372179333*^9, 
  3.7765269950281477`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"3810dd8f-ad1f-4012-8e55-05145322b8b0"],

Cell[BoxData[
 TemplateBox[{
  "Part","partd",
   "\"Part specification \\!\\(\\*RowBox[{\\\"solucion\\\", \\\"\
\[LeftDoubleBracket]\\\", RowBox[{\\\"1\\\", \\\",\\\", \\\"2\\\"}], \\\"\
\[RightDoubleBracket]\\\"}]\\) is longer than depth of object.\"",2,21,18,
   24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.770124633208336*^9, 3.7701246764001355`*^9, 
  3.7701247348940144`*^9, 3.7701247852658787`*^9, 3.770210288031122*^9, 
  3.7750275517409534`*^9, 3.775054150231023*^9, 3.775826372179333*^9, 
  3.776527005303261*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"5075ba97-50ee-485f-af74-7b60af11181c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"F", "\[Rule]", "129402.96920680205`"}]},
      {
       RowBox[{
        RowBox[{"M", "[", "1", "]"}], "\[Rule]", 
        RowBox[{"-", "172700"}]}]},
      {
       RowBox[{
        RowBox[{"M", "[", "2", "]"}], "\[Rule]", "0.17177754904670325`"}]},
      {
       RowBox[{
        RowBox[{"M", "[", "3", "]"}], "\[Rule]", "172700.`"}]},
      {
       RowBox[{
        RowBox[{"M", "[", "4", "]"}], "\[Rule]", 
        RowBox[{"-", "172700"}]}]},
      {
       RowBox[{
        RowBox[{"M", "[", "5", "]"}], "\[Rule]", "172700.`"}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "1", "]"}], "\[Rule]", "0"}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "2", "]"}], "\[Rule]", "0"}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "3", "]"}], "\[Rule]", 
        "0.006502444849508011`"}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "4", "]"}], "\[Rule]", 
        RowBox[{"-", "0.013023434956423493`"}]}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "5", "]"}], "\[Rule]", 
        "0.006520977163756366`"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.770124666695694*^9, 3.770124712793301*^9, 
  3.770124752249896*^9, 3.770124787103897*^9, 3.770210333553804*^9, 
  3.77502756911475*^9, 3.7750541681338496`*^9, 3.7758264044883556`*^9, 
  3.776527006292692*^9},
 CellLabel->
  "Out[22]//MatrixForm=",ExpressionUUID->"1ffc392a-e181-4ea1-b216-\
15353de0a537"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
   "He", " ", "conseguido", " ", "mantener", " ", "el", " ", "mismo", " ", 
    "c\[OAcute]digo", " ", "paralos", " ", "4", " ", "ejemplos"}], ",", " ", 
   RowBox[{
   "creo", " ", "que", " ", "est\[AAcute]", " ", "bastante", " ", "bien", " ",
     "sistematizado"}], ",", " ", 
   RowBox[{
   "con", " ", "la", " ", "\[UAcute]nica", " ", "excepci\[OAcute]n", " ", 
    "de", " ", "que"}], ",", " ", 
   RowBox[{
   "para", " ", "hallar", " ", "los", " ", "posibles", " ", "mecanismos", " ",
     "de", " ", "colapso"}], ",", " ", 
   RowBox[{
   "introduzco", " ", "yo", " ", "el", " ", "n\[UAcute]mero", " ", 
    "secesario", " ", "para", " ", "casa", " ", "caso", "  ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
      "est\[AAcute]", " ", "subrayado", " ", "en", " ", "rojo", " ", "en", 
       " ", "el", " ", "ejemplo", " ", "2"}], ")"}], ".", " ", "He"}], " ", 
    "resucido", " ", "el", " ", "incremento", " ", "de", " ", "v"}], ",", " ", 
   RowBox[{
   "el", " ", "chop", " ", "que", " ", "reduce", " ", "a", " ", "sol", " ", 
    "tambi\[EAcute]n", " ", "lo", " ", "he", " ", "resucido"}], ",", " ", 
   "porque", ",", " ", 
   RowBox[{"si", " ", "no"}], ",", " ", 
   RowBox[{"no", " ", 
    RowBox[{"da", ".", " ", "Lo"}], " ", "que", " ", "he", " ", "hecho", " ", 
    "para", " ", "sistematizarlo", " ", "ha", " ", "sido"}], ",", " ", 
   RowBox[{"al", " ", "calcular", " ", "Mreal"}], ",", " ", 
   RowBox[{
   "darle", " ", "signo", " ", "positivo", " ", "o", " ", "negativo", " ", 
    "en", " ", "cada", " ", "una", " ", "de", " ", "las", " ", "dos", " ", 
    "iteraciones", " ", "del", " ", "bucle", " ", "Do", " ", "global"}], ",", 
   " ", 
   RowBox[{"de", " ", "esta", " ", "forma", " ", "si"}], ",", " ", 
   RowBox[{"por", " ", "ejemplo"}], ",", " ", 
   RowBox[{
   "para", " ", "la", " ", "primera", " ", "iteraci\[OAcute]n", " ", "da", 
    " ", "una", " ", "fuerza", " ", "en", " ", "la", " ", "soluci\[OAcute]n", 
    " ", "final"}], ",", " ", 
   RowBox[{"en", " ", "la", " ", "siguiente"}], ",", " ", 
   RowBox[{
   "el", " ", "signo", " ", "se", " ", "los", " ", "Mp", " ", "en", " ", 
    "Mreal", " ", "cambia"}], ",", " ", 
   RowBox[{
   "se", " ", "forma", " ", "que", " ", "da", " ", "la", " ", 
    "soluci\[OAcute]n", " ", "v\[AAcute]lida", " ", "en", " ", "esta", " ", 
    "segunda", " ", "iteraci\[OAcute]n", " ", "al", " ", "final", " ", "del", 
    " ", "progarama"}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.770121925902732*^9, 
  3.770122186840193*^9}},ExpressionUUID->"ee2a50b9-b0a9-4a10-9776-\
18be54cc93a4"]
},
WindowSize->{1536, 781},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
FrontEndVersion->"12.0 para Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 60660, 1407, 5881, "Input",ExpressionUUID->"8d355216-8197-4cd7-bee1-2317c8df4789"],
Cell[CellGroupData[{
Cell[61265, 1433, 616, 13, 22, "Print",ExpressionUUID->"8b746595-b0c8-4ff8-9d3a-e63eec489367"],
Cell[61884, 1448, 543, 11, 22, "Print",ExpressionUUID->"25396016-9728-44a7-a09a-3acf18cbdfd9"],
Cell[62430, 1461, 555, 12, 22, "Print",ExpressionUUID->"6c84bac9-d003-4c4b-a040-3a08200d27ca"],
Cell[62988, 1475, 2115, 50, 41, "Print",ExpressionUUID->"b554a26f-d4c1-4ac4-bdec-e7ea9d97f866"]
}, Open  ]],
Cell[65118, 1528, 649, 13, 21, "Message",ExpressionUUID->"1616a843-03a8-490f-a4f1-299dd8b626ba"],
Cell[65770, 1543, 647, 13, 21, "Message",ExpressionUUID->"a25f02c2-301d-4b89-b429-278a0f54b90b"],
Cell[66420, 1558, 647, 13, 21, "Message",ExpressionUUID->"dfa73c9f-a212-4def-b13d-d3071576c6cb"],
Cell[67070, 1573, 649, 13, 21, "Message",ExpressionUUID->"27f618cb-9927-4e21-b8d1-d5ad2f9b251e"],
Cell[67722, 1588, 556, 12, 21, "Message",ExpressionUUID->"3620b301-b1cd-4112-8980-a3ebb022dae1"],
Cell[68281, 1602, 558, 12, 21, "Message",ExpressionUUID->"15638cd9-e77e-455e-a2be-a051cef639d8"],
Cell[68842, 1616, 556, 12, 21, "Message",ExpressionUUID->"694bf5f0-9642-42ca-94c1-2288474cfb25"],
Cell[69401, 1630, 649, 13, 21, "Message",ExpressionUUID->"0530cf15-6623-43c2-8214-3beeaf3b2c69"],
Cell[70053, 1645, 588, 12, 23, "Message",ExpressionUUID->"ee153d21-dffe-4eb1-81f8-7620a0667053"],
Cell[70644, 1659, 762, 15, 23, "Message",ExpressionUUID->"e5d37289-e3a7-47a4-a8f1-5230b7736646"],
Cell[71409, 1676, 589, 12, 23, "Message",ExpressionUUID->"3d8c7c31-0107-4fb7-b855-ee3e3ea63055"],
Cell[72001, 1690, 762, 15, 23, "Message",ExpressionUUID->"cfa7a184-e371-4d3a-b352-f1c99c048d8d"],
Cell[72766, 1707, 589, 12, 23, "Message",ExpressionUUID->"68ae8166-8c72-4b83-bf5f-9ee92f0f5391"],
Cell[73358, 1721, 649, 13, 21, "Message",ExpressionUUID->"f490b847-8f65-4862-aa2b-a49925d7400a"],
Cell[74010, 1736, 764, 15, 23, "Message",ExpressionUUID->"46a7fdcf-9397-46da-98e4-ce030cb40ff7"],
Cell[74777, 1753, 652, 13, 21, "Message",ExpressionUUID->"97b2895d-60ed-4df1-915a-3be3bd957c70"],
Cell[75432, 1768, 690, 14, 21, "Message",ExpressionUUID->"3810dd8f-ad1f-4012-8e55-05145322b8b0"],
Cell[76125, 1784, 688, 14, 21, "Message",ExpressionUUID->"5075ba97-50ee-485f-af74-7b60af11181c"],
Cell[76816, 1800, 1925, 59, 215, "Output",ExpressionUUID->"1ffc392a-e181-4ea1-b216-15353de0a537"]
}, Open  ]],
Cell[78756, 1862, 2624, 55, 105, "Input",ExpressionUUID->"ee2a50b9-b0a9-4a10-9776-18be54cc93a4"]
}
]
*)

