(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     81786,       1903]
NotebookOptionsPosition[     79367,       1865]
NotebookOutlinePosition[     79711,       1880]
CellTagsIndexPosition[     79668,       1877]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Ejemplo", " ", "3"}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"nodos", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Fx", ",", "Fy", ",", "Mz"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "L", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"L", ",", "L", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"-", "F"}], ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"2", "L"}], ",", "L", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"F", "/", "6"}], ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"2", "L"}], ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Fx", ",", "Fy", ",", "0"}], "}"}]}], "}"}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"material", "=", 
     RowBox[{"{", 
      RowBox[{"{", "vE", "}"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"perfil", "=", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"A", ",", "Iz", ",", "Mp"}], "}"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"barras", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"2", ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"3", ",", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"4", ",", "5"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"5", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "}"}]}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datos", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"L", "\[Rule]", "4"}], ",", 
       RowBox[{"vE", "\[Rule]", 
        RowBox[{"2.1", " ", 
         RowBox[{"10", "^", "11"}]}]}], ",", 
       RowBox[{"Iz", "\[Rule]", 
        RowBox[{"8360", " ", 
         RowBox[{"10", "^", 
          RowBox[{"-", "8"}]}]}]}], ",", 
       RowBox[{"S", "\[Rule]", 
        RowBox[{"628", " ", 
         RowBox[{"10", "^", 
          RowBox[{"-", "6"}]}]}]}], ",", 
       RowBox[{"\[Sigma]F", "\[Rule]", 
        RowBox[{"275", " ", 
         RowBox[{"10", "^", "6"}]}]}], ",", 
       RowBox[{"Mp", "\[Rule]", 
        RowBox[{"S", " ", "\[Sigma]F"}]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Matriz", " ", "homog\[EAcute]nea"}], "*)"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{"matrizT", "=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "Li", ",", "\[Lambda]x", ",", "\[Lambda]y", ",", "\[Lambda]z"}], 
        "}"}], ",", " ", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"nd", "=", 
         RowBox[{"Length", "[", "nodos", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"nb", "=", 
         RowBox[{"Length", "[", "barras", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"mT", "=", 
         RowBox[{
          RowBox[{"T", "[", "1", "]"}], "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", 
               RowBox[{"q", "[", "1", "]"}]}], ",", "0", ",", "0"}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"q", "[", "1", "]"}], ",", "1", ",", "0", ",", "0"}], 
             "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"nd", "-", "1"}]}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Li", "=", 
             RowBox[{"Norm", "[", 
              RowBox[{
               RowBox[{"nodos", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"i", "+", "1"}], ",", "1"}], "]"}], "]"}], "-", 
               RowBox[{"nodos", "[", 
                RowBox[{"[", 
                 RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"\[Lambda]x", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"i", "+", "1"}], ",", "1", ",", "1"}], "]"}], 
                 "]"}], "-", 
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", ",", "1", ",", "1"}], "]"}], "]"}]}], ")"}], 
              "/", "Li"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"\[Lambda]y", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"i", "+", "1"}], ",", "1", ",", "2"}], "]"}], 
                 "]"}], "-", 
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", ",", "1", ",", "2"}], "]"}], "]"}]}], ")"}], 
              "/", "Li"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"\[Lambda]z", "=", 
             RowBox[{"0", "/", "Li"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"T", "[", 
              RowBox[{"i", "+", "1"}], "]"}], "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"1", ",", 
                 RowBox[{"-", 
                  RowBox[{"q", "[", 
                   RowBox[{"i", "+", "1"}], "]"}]}], ",", "0", ",", 
                 RowBox[{"\[Lambda]x", " ", "Li"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"q", "[", 
                  RowBox[{"i", "+", "1"}], "]"}], ",", "1", ",", "0", ",", 
                 RowBox[{"\[Lambda]y", " ", "Li"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "1", ",", 
                 RowBox[{"\[Lambda]z", " ", "Li"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]}],
             ";", "\[IndentingNewLine]", 
            RowBox[{"mT", "=", 
             RowBox[{"mT", ".", 
              RowBox[{"T", "[", 
               RowBox[{"i", "+", "1"}], "]"}]}]}], ";"}], 
           "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", "]"}], ";", 
        "\[IndentingNewLine]", "mT"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{"(*", 
    RowBox[{"R\[OAcute]tulas", " ", "pl\[AAcute]sticas"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"NPR", ",", "Comp"}], "}"}], "=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"NPR", ",", "Comp"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"NPR", "=", "0"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Comp", "=", 
         RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
          RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"nodos", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "2", ",", "1"}], "]"}], "]"}], 
                 "\[Equal]", "Fx"}], "||", 
                RowBox[{
                 RowBox[{"nodos", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "2", ",", "2"}], "]"}], "]"}], 
                 "\[Equal]", "Fy"}]}], ")"}], "&&", 
              RowBox[{
               RowBox[{"nodos", "[", 
                RowBox[{"[", 
                 RowBox[{"i", ",", "2", ",", "3"}], "]"}], "]"}], "\[Equal]", 
               "0"}]}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"NPR", "=", "NPR"}], ",", 
               RowBox[{"Comp", "=", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"Comp", ",", "0"}], "]"}]}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"NPR", "+=", "1"}], ",", 
               RowBox[{"Comp", "=", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"Comp", ",", "1"}], "]"}]}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"NPR", "+=", "1"}], ",", 
               RowBox[{"Comp", "=", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"Comp", ",", "1"}], "]"}]}]}], "}"}]}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"NPR", ",", "Comp"}], "}"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Comp", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<El n\[UAcute]mero de posibles r\[OAcute]tulas plasticas es de \>\"",
       ",", "NPR"}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Ecuaciones", " ", "de", " ", "equilibrio"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GH", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", 
      RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"nodos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2", ",", "1"}], "]"}], "]"}], "\[Equal]", 
          "Fx"}], ",", 
         RowBox[{"GH", "+=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"nodos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2", ",", "2"}], "]"}], "]"}], "\[Equal]", 
          "Fy"}], ",", 
         RowBox[{"GH", "+=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"nodos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2", ",", "3"}], "]"}], "]"}], "\[Equal]", 
          "Mz"}], ",", 
         RowBox[{"GH", "+=", "1"}]}], "]"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GH", "=", 
     RowBox[{"GH", "-", "3"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"nodos", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "nd"}], "}"}]}], "]"}], "\[Equal]", "0"}], ",", 
      RowBox[{"GH", "=", 
       RowBox[{"GH", "-", "1"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"EQ", "=", 
     RowBox[{"NPR", "-", "GH"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Ecuaciones de equilibrio = \>\"", ",", " ", "EQ"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Ecuaciones de compatibilidad = \>\"", ",", " ", "GH"}], 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Posibles", " ", "mecanismo", " ", "de", " ", "colapso", " ", 
     RowBox[{"(", "todos", ")"}]}], "*)"}], "\n", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mec", "=", 
     RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mec", "=", 
     RowBox[{"Subsets", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"i", "=", "1"}], ",", 
           RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
           RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Comp", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "1"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"AppendTo", "[", 
              RowBox[{"mec", ",", 
               RowBox[{"barras", "[", 
                RowBox[{"[", 
                 RowBox[{"i", ",", "1", ",", "1"}], "]"}], "]"}]}], "]"}]}], 
            "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], ";",
          "\[IndentingNewLine]", "mec"}], ")"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"NPR", "-", 
          RowBox[{"(", 
           RowBox[{"nd", "-", "3"}], ")"}]}], ",", "NPR"}], "}"}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Todas las posibles combinaciones de r\[OAcute]tulas \
pl\[AAcute]sticas son:\>\"", ",", "mec"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mecnec", "=", "mec"}], ";"}], "\[IndentingNewLine]", "\n", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"avanza", "=", 
      RowBox[{"Length", "[", 
       RowBox[{"mecnec", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ",", 
     RowBox[{"avanza", "\[LessEqual]", 
      RowBox[{"Length", "[", "nodos", "]"}]}], ",", 
     RowBox[{"avanza", "++"}], ",", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"mecextra", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", 
              RowBox[{"Length", "[", "mecnec", "]"}]}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", 
                 RowBox[{"mecnec", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "]"}], "\[Equal]", 
                "avanza"}], ",", 
               RowBox[{"AppendTo", "[", 
                RowBox[{"mecextra", ",", 
                 RowBox[{"mecnec", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], "]"}]}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"mec", "=", "mecextra"}], ";", "\[IndentingNewLine]", 
           RowBox[{"dim", "=", 
            RowBox[{"Length", "[", "mecextra", "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"mec2", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", "dim"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"mec2", "[", 
                RowBox[{"[", "i", "]"}], "]"}], "=", 
               RowBox[{"mec", "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"j", "=", "1"}], ",", 
                RowBox[{"j", "\[LessEqual]", 
                 RowBox[{"nd", "-", 
                  RowBox[{"Length", "[", 
                   RowBox[{"mec", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}]}]}], ",", 
                RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{
                  RowBox[{"mec2", "[", 
                   RowBox[{"[", "i", "]"}], "]"}], ",", "0"}], "]"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"mec3", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", "dim", ",", "nd"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"j", "=", "1"}], ",", 
                RowBox[{"j", "\[LessEqual]", "nd"}], ",", 
                RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"mec2", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}], "\[NotEqual]", 
                    "0"}], ",", 
                   RowBox[{
                    RowBox[{"mec3", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", 
                    RowBox[{"mec2", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}]}], "]"}], "]"}], 
                    "=", 
                    RowBox[{"mec2", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}]}]}], "]"}], ";"}]}],
                "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"MCp", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", "dim"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"j", "=", "1"}], ",", 
             RowBox[{"j", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"k", "=", "0"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"i", "=", "1"}], ",", 
                 RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
                 RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Comp", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "1"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"mec3", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "i"}], "]"}], "]"}], "\[NotEqual]", 
                    "0"}], "&&", 
                    RowBox[{"k", "\[Equal]", "0"}]}], ",", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", "=", "1"}], ";", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"q", "[", "i", "]"}], "\[Equal]", 
                    "\[CapitalDelta]v"}]}], "]"}]}], ")"}]}], "]"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"mec3", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "i"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"q", "[", "i", "]"}], "\[Equal]", "0"}]}], 
                    "]"}]}], "]"}]}], ")"}]}], "\[IndentingNewLine]", "]"}]}],
                 "\[IndentingNewLine]", "]"}], ";"}], ")"}]}], 
            "\[IndentingNewLine]", "]"}], ";", "\n", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"Mecanismos", " ", "propuestos"}], ",", " ", 
             RowBox[{"ecuaciones", " ", "de", " ", "equilibrio"}]}], "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"\[CapitalDelta]v", "=", "0.000001"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"sol", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", "dim", "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"gdl", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"q", "[", "i", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "1", ",", "nd"}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Do", "[", " ", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"vP", "=", 
               RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"i", "=", "1"}], ",", 
                RowBox[{"i", "\[LessEqual]", 
                 RowBox[{"nd", "-", 
                  RowBox[{"Length", "[", 
                   RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "]"}]}]}], ",", 
                RowBox[{"i", "++"}], ",", 
                RowBox[{"(", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"i", "\[Equal]", "1"}], ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"vP", ",", 
                    RowBox[{"mT", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "4"}], "]"}], "]"}]}], "]"}]}], "]"}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"i", "\[Equal]", "2"}], ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"vP", ",", 
                    RowBox[{"mT", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "]"}]}], "]"}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"i", "\[Equal]", "3"}], ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"vP", ",", 
                    RowBox[{"mT", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "4"}], "]"}], "]"}]}], "]"}]}], "]"}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"j", "=", "i"}], ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"j", ">", "3"}], ",", 
                    RowBox[{"j", "=", "3"}]}], "]"}], ";"}], 
                 "\[IndentingNewLine]", ")"}]}], "\[IndentingNewLine]", "]"}],
               ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"j", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"kk", "=", 
                  RowBox[{
                   RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"vP", "\[Equal]", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"nd", ",", "1", ",", "2"}], "]"}], "]"}]}], "}"}],
                     ",", 
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "gdl"}], "\[IndentingNewLine]", 
                    "]"}], "/.", "datos"}]}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"j", "\[Equal]", "2"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"kk", "=", 
                  RowBox[{
                   RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"vP", "\[Equal]", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"nd", ",", "1", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}]}], "]"}], "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "gdl"}], "\[IndentingNewLine]", 
                    "]"}], "/.", "datos"}]}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"j", "\[Equal]", "3"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"kk", "=", 
                  RowBox[{
                   RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"vP", "\[Equal]", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"nd", ",", "1", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3", ",", "1"}], "}"}]}], "]"}], 
                    "]"}]}], "}"}], ",", 
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "gdl"}], "\[IndentingNewLine]", 
                    "]"}], "/.", "datos"}]}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"s", "=", "0"}], ";", "\[IndentingNewLine]", 
              RowBox[{"j", "=", "0"}], ";", "\[IndentingNewLine]", 
              RowBox[{"min", "=", 
               RowBox[{"10", "^", "10"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"i", "=", "1"}], ";", "\[IndentingNewLine]", 
              RowBox[{"Do", "[", 
               RowBox[{
                RowBox[{"s", "+=", 
                 RowBox[{
                  RowBox[{"Abs", "[", 
                   RowBox[{"q", "[", "i", "]"}], "]"}], "/.", "kk"}]}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", 
                  RowBox[{"nd", "-", "1"}]}], "}"}]}], "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"Do", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"s", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "<", "min"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"min", "=", 
                    RowBox[{"s", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], ",", 
                    RowBox[{"j", "=", "i"}]}], "}"}]}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"i", ",", 
                  RowBox[{"Length", "[", "s", "]"}]}], "}"}]}], 
               "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"sol", "[", 
                RowBox[{"[", "neq", "]"}], "]"}], "=", 
               RowBox[{"kk", "[", 
                RowBox[{"[", "j", "]"}], "]"}]}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"sol2", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"sol", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "List"}], ",", 
               ",", ",", "\[IndentingNewLine]", 
               RowBox[{"AppendTo", "[", 
                RowBox[{"sol2", ",", 
                 RowBox[{"sol", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], 
              "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"sol", "=", "sol2"}], ";", "\[IndentingNewLine]", 
           RowBox[{"sol", "=", 
            RowBox[{"Chop", "[", 
             RowBox[{"sol", ",", 
              RowBox[{"10", "^", 
               RowBox[{"-", "8"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", "desplazamientos", "*)"}], "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"dim", "=", 
            RowBox[{"Length", "[", "sol", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"\[Delta]", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"Table", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"Dot", "@@", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"T", "[", "j", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"j", ",", "i"}], "}"}]}], "]"}]}], ")"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", "4"}], 
                    "]"}], "]"}], ")"}], "-", 
                   RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "1"}], "]"}], "]"}]}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "nd"}], "}"}]}], "\[IndentingNewLine]", 
                 "]"}], "/.", 
                RowBox[{"sol", "[", 
                 RowBox[{"[", "neq", "]"}], "]"}]}], "/.", "datos"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"\[Delta]", "=", 
            RowBox[{"Chop", "[", 
             RowBox[{"\[Delta]", ",", 
              RowBox[{"10", "^", 
               RowBox[{"-", "6"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"Aplicar", " ", "el", " ", "PDV"}], "*)"}], "\n", 
           "\[IndentingNewLine]", 
           RowBox[{"eq", "=", 
            RowBox[{
             RowBox[{
              RowBox[{"Table", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"\[Delta]", "[", 
                    RowBox[{"[", 
                    RowBox[{"neq", ",", "i"}], "]"}], "]"}], ".", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "2"}], "]"}], "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}], "-", 
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], 
                    RowBox[{"q", "[", "i", "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], ")"}], "/", 
                  "\[CapitalDelta]v"}], "/.", 
                 RowBox[{"sol", "[", 
                  RowBox[{"[", "neq", "]"}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
               "]"}], "/.", 
              RowBox[{"(", 
               RowBox[{"0.0", "\[Rule]", "0"}], ")"}]}], "//", "Simplify"}]}],
            ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"Ensayo", " ", "de", " ", "mecanismos"}], "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Mreal", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", 
              RowBox[{"{", "dim", "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"i", "=", "1"}], ",", 
                RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
                RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"If", "[", " ", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"q", "[", "i", "]"}], "\[NotEqual]", "0"}], "/.", 
                    RowBox[{
                    RowBox[{"sol", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "||", 
                    RowBox[{
                    RowBox[{"Comp", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "0"}]}]}], 
                   ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "=", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                    RowBox[{"(", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"repite", "\[Equal]", "1"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"Sign", "[", 
                    RowBox[{"q", "[", "i", "]"}], "]"}], "Mp"}]}], "/.", 
                    RowBox[{"sol", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sign", "[", 
                    RowBox[{"q", "[", "i", "]"}], "]"}]}], "Mp"}]}], "/.", 
                    RowBox[{"sol", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}]}], 
                    "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
                    ")"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "=", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"\[Theta]", "[", "i", "]"}], "\[Rule]", "0"}]}], 
                    "]"}]}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "=", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", "0"}]}], 
                    "]"}]}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
             ",", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\n", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"Ecuaciones", " ", "de", " ", "compatibilidad"}], "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"cc", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
             RowBox[{"i", "++"}], ",", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Comp", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "0"}], ",", 
               RowBox[{"(", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"cc", ",", 
                  RowBox[{
                   RowBox[{"m", "[", "i", "]"}], "\[Equal]", "0"}]}], "]"}], 
                ")"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"ec", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "EQ"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"j", "=", "1"}], ",", 
               RowBox[{"j", "\[LessEqual]", "dim"}], ",", 
               RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"sol", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", 
                    RowBox[{"nd", "-", "i", "+", "1"}], ",", "2"}], "]"}], 
                    "]"}], "\[NotEqual]", "0"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"ec", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"eq", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "/.", 
                    RowBox[{"F", "\[Rule]", "0"}]}], "/.", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", 
                    RowBox[{"m", "[", "i", "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"j", "=", "dim"}], ";", 
                    RowBox[{
                    RowBox[{"eq", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "=", "0"}]}], ")"}]}], 
                 "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]",
               "]"}]}], "\[IndentingNewLine]", "]"}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"mvirtual", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                RowBox[{"Join", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"m", "[", "i", "]"}], "\[Equal]", 
                    RowBox[{"DiscreteDelta", "[", 
                    RowBox[{"j", "-", "i"}], "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "GH"}], "}"}]}], "]"}], ",", "cc", ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"ec", "\[Equal]", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", "EQ", "}"}]}], "]"}]}], "}"}]}], 
                 "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}], 
               "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"j", ",", "GH"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"mvirtual", "=", 
            RowBox[{"Chop", "[", 
             RowBox[{"mvirtual", ",", 
              RowBox[{"10", "^", 
               RowBox[{"-", "6"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"EC", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Table", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"pfv", "=", "0"}], ";", 
                    RowBox[{"i", "=", "1"}]}], ",", 
                   RowBox[{"i", "\[LessEqual]", 
                    RowBox[{"nb", "-", "1"}]}], ",", 
                   RowBox[{"i", "++"}], ",", 
                   RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Li", "=", 
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", "1"}], "]"}], "]"}], "-", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "]"}], "/.", 
                    "datos"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"vEi", "=", 
                    RowBox[{"material", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"barras", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
                    "1"}], "]"}], "]"}]}], " ", ";", "\[IndentingNewLine]", 
                    RowBox[{"Izi", "=", 
                    RowBox[{"perfil", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"barras", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
                    "2"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"Mi", "=", 
                    RowBox[{"M", "[", "i", "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Mj", "=", 
                    RowBox[{"M", "[", 
                    RowBox[{"i", "+", "1"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"mi", "=", 
                    RowBox[{"m", "[", "i", "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"mj", "=", 
                    RowBox[{"m", "[", 
                    RowBox[{"i", "+", "1"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"pfv", "+=", 
                    RowBox[{
                    RowBox[{"Li", "/", 
                    RowBox[{"(", 
                    RowBox[{"6", " ", "vEi", " ", "Izi"}], ")"}]}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"mi", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "Mi"}], "+", "Mj"}], ")"}]}], "+", 
                    RowBox[{"mj", 
                    RowBox[{"(", 
                    RowBox[{"Mi", "+", 
                    RowBox[{"2", "Mj"}]}], ")"}]}]}], ")"}]}]}], ";"}], 
                    "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", 
                  " ", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"pfv", "+=", 
                  RowBox[{"Sum", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"m", "[", "i", "]"}], 
                    RowBox[{"\[Theta]", "[", "i", "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"pfv", "=", 
                  RowBox[{"Simplify", "[", 
                   RowBox[{
                    RowBox[{"pfv", "/.", 
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "/.", 
                    RowBox[{"mvirtual", "[", 
                    RowBox[{"[", "j", "]"}], "]"}]}], "]"}]}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"j", ",", "GH"}], "}"}]}], "\[IndentingNewLine]", 
               "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\n", "\[IndentingNewLine]", 
           RowBox[{"adic", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Table", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"Mreal", "[", 
                  RowBox[{"[", 
                   RowBox[{"neq", ",", "i", ",", "1"}], "]"}], "]"}], 
                 "\[Equal]", 
                 RowBox[{"Mreal", "[", 
                  RowBox[{"[", 
                   RowBox[{"neq", ",", "i", ",", "2"}], "]"}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "nd"}], "}"}]}], "\[IndentingNewLine]", 
               "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"incog", "=", 
            RowBox[{"Join", "[", 
             RowBox[{
              RowBox[{"{", "F", "}"}], ",", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"M", "[", "i", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "nd"}], "}"}]}], "]"}], ",", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"\[Theta]", "[", "i", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"giros", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", 
              RowBox[{"{", "dim", "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"i", "=", "1"}], ",", 
               RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
               RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{"If", "[", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Mreal", "[", 
                   RowBox[{"[", 
                    RowBox[{"neq", ",", "i", ",", "1"}], "]"}], "]"}], 
                  "\[Equal]", 
                  RowBox[{"M", "[", "i", "]"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{"AppendTo", "[", 
                  RowBox[{
                   RowBox[{"giros", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                   RowBox[{"\[Theta]", "[", "i", "]"}]}], "]"}]}], 
                "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "ensayar", " ", "los", " ", "mecanismos", " ", "posibles"}], 
            "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Do", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"i", "=", "1"}], ",", 
               RowBox[{"i", "\[LessEqual]", 
                RowBox[{"Length", "[", 
                 RowBox[{"giros", "[", 
                  RowBox[{"[", "neq", "]"}], "]"}], "]"}]}], ",", 
               RowBox[{"i", "++"}], ",", 
               RowBox[{"{", " ", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"j", "=", "1"}], ",", 
                  RowBox[{"j", "\[LessEqual]", 
                   RowBox[{
                    RowBox[{"Length", "[", "eq", "]"}], "-", "EQ", "+", 
                    "1"}]}], ",", 
                  RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"add", "=", 
                    RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"k", "=", "j"}], ",", 
                    RowBox[{"k", "\[LessEqual]", 
                    RowBox[{"EQ", "+", "j", "-", "1"}]}], ",", 
                    RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"add", ",", 
                    RowBox[{"eq", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"sol", "=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Solve", "[", " ", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"EC", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "\[Equal]", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", "GH", "}"}]}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"add", "\[Equal]", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", "EQ", "}"}]}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"giros", "[", 
                    RowBox[{"[", 
                    RowBox[{"neq", ",", "i"}], "]"}], "]"}], "}"}], 
                    "\[Equal]", 
                    RowBox[{"{", "0", "}"}]}]}], "\[IndentingNewLine]", "}"}],
                     ",", "\[IndentingNewLine]", 
                    RowBox[{"adic", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "\[IndentingNewLine]",
                     "]"}], ",", "incog"}], "\[IndentingNewLine]", "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "/.", 
                    RowBox[{"(", 
                    RowBox[{"0.0", "\[Rule]", "0"}], ")"}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Refine", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"And", "@@", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Abs", "[", 
                    RowBox[{"M", "[", "i", "]"}], "]"}], "\[LessEqual]", 
                    "Mp"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], "/.", "sol"}],
                     ")"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Assumptions", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Mp", ">", "0"}], ",", 
                    RowBox[{"Iz", ">", "0"}], ",", 
                    RowBox[{"vE", ">", "0"}]}], "}"}]}]}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Refine", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"And", "@@", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sign", "[", 
                    RowBox[{
                    RowBox[{"\[Theta]", "[", "i", "]"}], 
                    RowBox[{"M", "[", "i", "]"}]}], "]"}], "\[GreaterEqual]", 
                    "0"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], "/.", "sol"}],
                     ")"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Assumptions", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Mp", ">", "0"}], ",", 
                    RowBox[{"Iz", ">", "0"}], ",", 
                    RowBox[{"vE", ">", "0"}]}], "}"}]}]}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"solucion", "=", "sol"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"i", "=", 
                    RowBox[{"Length", "[", 
                    RowBox[{"giros", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "]"}]}]}], "}"}]}], " ",
                     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
                    "]"}]}], "\[IndentingNewLine]", "}"}]}], 
                 "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "}"}]}],
               "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"solucion", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}], "//.", "datos"}], 
               ")"}], "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"solucion", "=", 
                RowBox[{"(", 
                 RowBox[{"solucion", "//.", "datos"}], ")"}]}], ",", 
               RowBox[{"repite", "=", "2"}]}], "}"}]}], "]"}], ";"}], 
          "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"repite", ",", "2"}], "}"}]}], "\[IndentingNewLine]", "]"}],
        ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"solucion", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "2"}], "]"}], "]"}], "//.", "datos"}], ")"}], 
          "\[GreaterEqual]", "0"}], ",", 
         RowBox[{"avanza", "=", 
          RowBox[{
           RowBox[{"Length", "[", "nodos", "]"}], "+", "1"}]}]}], "]"}], 
       ";"}], "\[IndentingNewLine]", "}"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"MatrixForm", "[", 
    RowBox[{"solucion", "//.", "datos"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7607980090067687`*^9, 3.760798030177006*^9}, 
   3.7607980994309287`*^9, {3.762006650212393*^9, 3.762006650582414*^9}, 
   3.765169190908366*^9, {3.765169354615055*^9, 3.7651693636915812`*^9}, {
   3.7652853769768686`*^9, 3.7652854218299475`*^9}, {3.765375305841471*^9, 
   3.7653753397805314`*^9}, 3.7694300462771935`*^9, {3.770119246859029*^9, 
   3.770119318818181*^9}, {3.7701194454526334`*^9, 3.7701194517536564`*^9}, {
   3.770119524648168*^9, 3.7701195587179775`*^9}, {3.7701196065664005`*^9, 
   3.770119613473816*^9}, 3.770119771442543*^9, {3.7701198194781885`*^9, 
   3.7701198486487875`*^9}, {3.770120060396432*^9, 3.7701200664584804`*^9}, {
   3.7701204603171577`*^9, 3.770120460785159*^9}, 3.7701208165403166`*^9, {
   3.770120855088713*^9, 3.770120953794075*^9}, {3.7701210106821084`*^9, 
   3.7701210291968155`*^9}, {3.770121113249881*^9, 3.7701211191267633`*^9}, {
   3.770121191800905*^9, 3.7701211923143225`*^9}, {3.7701213551661935`*^9, 
   3.7701214088081627`*^9}, {3.7701215195237374`*^9, 
   3.7701215292347913`*^9}, {3.770121627494314*^9, 3.770121646067197*^9}, {
   3.7702100727829094`*^9, 3.770210077619918*^9}, 3.7702101930187483`*^9, {
   3.770459648963895*^9, 3.7704596498062963`*^9}, 3.7765270784354267`*^9},
 CellLabel->"In[45]:=",ExpressionUUID->"f657672b-ed52-4492-9fb7-50399ad3c5d6"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El n\[UAcute]mero de posibles r\[OAcute]tulas plasticas es de \
\"\>", "\[InvisibleSpace]", "4"}],
  SequenceForm[
  "El n\[UAcute]mero de posibles r\[OAcute]tulas plasticas es de ", 4],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.770120069372116*^9, 3.770120461939561*^9, {3.7701205112290015`*^9, 
   3.7701205223068576`*^9}, {3.7701208175241184`*^9, 
   3.7701208643093295`*^9}, {3.7701208982332425`*^9, 3.770120921836321*^9}, 
   3.7701209544804764`*^9, 3.770121692418375*^9, 3.7702100788679204`*^9, 
   3.7702101184283915`*^9, 3.770459387941413*^9, 3.770459489715996*^9, 
   3.776527085811143*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"bbd157e0-d7c6-4fd9-b864-f5b9eb5abf1b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Ecuaciones de equilibrio = \"\>", "\[InvisibleSpace]", "2"}],
  SequenceForm["Ecuaciones de equilibrio = ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.770120069372116*^9, 3.770120461939561*^9, {3.7701205112290015`*^9, 
   3.7701205223068576`*^9}, {3.7701208175241184`*^9, 
   3.7701208643093295`*^9}, {3.7701208982332425`*^9, 3.770120921836321*^9}, 
   3.7701209544804764`*^9, 3.770121692418375*^9, 3.7702100788679204`*^9, 
   3.7702101184283915`*^9, 3.770459387941413*^9, 3.770459489715996*^9, 
   3.776527085817153*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"dd7c5d9d-c46c-4d87-99ab-07aaba19f484"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Ecuaciones de compatibilidad = \"\>", "\[InvisibleSpace]", 
   "2"}],
  SequenceForm["Ecuaciones de compatibilidad = ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.770120069372116*^9, 3.770120461939561*^9, {3.7701205112290015`*^9, 
   3.7701205223068576`*^9}, {3.7701208175241184`*^9, 
   3.7701208643093295`*^9}, {3.7701208982332425`*^9, 3.770120921836321*^9}, 
   3.7701209544804764`*^9, 3.770121692418375*^9, 3.7702100788679204`*^9, 
   3.7702101184283915`*^9, 3.770459387941413*^9, 3.770459489715996*^9, 
   3.7765270858231373`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"c9ff40a2-e09b-4023-b86c-29a659c15d82"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Todas las posibles combinaciones de r\[OAcute]tulas \
pl\[AAcute]sticas son:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}], "}"}]}],
  SequenceForm[
  "Todas las posibles combinaciones de r\[OAcute]tulas pl\[AAcute]sticas \
son:", {{1, 2}, {1, 3}, {1, 4}, {2, 3}, {2, 4}, {3, 4}, {1, 2, 3}, {1, 2, 
    4}, {1, 3, 4}, {2, 3, 4}, {1, 2, 3, 4}}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.770120069372116*^9, 3.770120461939561*^9, {3.7701205112290015`*^9, 
   3.7701205223068576`*^9}, {3.7701208175241184`*^9, 
   3.7701208643093295`*^9}, {3.7701208982332425`*^9, 3.770120921836321*^9}, 
   3.7701209544804764`*^9, 3.770121692418375*^9, 3.7702100788679204`*^9, 
   3.7702101184283915`*^9, 3.770459387941413*^9, 3.770459489715996*^9, 
   3.776527085827133*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"f7949aee-3051-4686-b0a1-0e05c4394082"]
}, Open  ]],

Cell[BoxData[
 TemplateBox[{
  "Solve","ratnz",
   "\"Solve was unable to solve the system with inexact coefficients. The \
answer was obtained by solving a corresponding exact system and numericizing \
the result.\"",2,65,23,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.770120079464011*^9, 3.770120462079961*^9, {3.7701205113538017`*^9, 
   3.7701205224628572`*^9}, {3.7701208176645184`*^9, 
   3.7701208645615335`*^9}, {3.7701208984828424`*^9, 3.770120921992321*^9}, 
   3.7701209546988764`*^9, 3.7701216926211753`*^9, 3.770210079086321*^9, 
   3.7702101186623917`*^9, 3.7704593881286135`*^9, 3.7704594901215963`*^9, 
   3.7765270859050894`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"ac3d5f87-7f57-466b-b59f-92681461858e"],

Cell[BoxData[
 TemplateBox[{
  "Solve","ratnz",
   "\"Solve was unable to solve the system with inexact coefficients. The \
answer was obtained by solving a corresponding exact system and numericizing \
the result.\"",2,65,24,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.770120079464011*^9, 3.770120462079961*^9, {3.7701205113538017`*^9, 
   3.7701205224628572`*^9}, {3.7701208176645184`*^9, 
   3.7701208645615335`*^9}, {3.7701208984828424`*^9, 3.770120921992321*^9}, 
   3.7701209546988764`*^9, 3.7701216926211753`*^9, 3.770210079086321*^9, 
   3.7702101186623917`*^9, 3.7704593881286135`*^9, 3.7704594901215963`*^9, 
   3.7765270859640555`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"1fe605e7-58f8-424c-92bc-e5895ff73e7d"],

Cell[BoxData[
 TemplateBox[{
  "Solve","ratnz",
   "\"Solve was unable to solve the system with inexact coefficients. The \
answer was obtained by solving a corresponding exact system and numericizing \
the result.\"",2,65,25,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.770120079464011*^9, 3.770120462079961*^9, {3.7701205113538017`*^9, 
   3.7701205224628572`*^9}, {3.7701208176645184`*^9, 
   3.7701208645615335`*^9}, {3.7701208984828424`*^9, 3.770120921992321*^9}, 
   3.7701209546988764`*^9, 3.7701216926211753`*^9, 3.770210079086321*^9, 
   3.7702101186623917`*^9, 3.7704593881286135`*^9, 3.7704594901215963`*^9, 
   3.7765270860060325`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"cd7ae7c9-d74b-4f41-8f50-8a9541e8e621"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"Solve\\\", \\\"::\\\", \
\\\"ratnz\\\"}], \\\"MessageName\\\"]\\) will be suppressed during this \
calculation.\"",2,65,26,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.770120079464011*^9, 3.770120462079961*^9, {3.7701205113538017`*^9, 
   3.7701205224628572`*^9}, {3.7701208176645184`*^9, 
   3.7701208645615335`*^9}, {3.7701208984828424`*^9, 3.770120921992321*^9}, 
   3.7701209546988764`*^9, 3.7701216926211753`*^9, 3.770210079086321*^9, 
   3.7702101186623917`*^9, 3.7704593881286135`*^9, 3.7704594901215963`*^9, 
   3.7765270860180254`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"db1310c3-abc2-49f1-9c7b-465c598759f8"],

Cell[BoxData[
 TemplateBox[{
  "ReplaceAll","reps",
   "\"\\!\\(\\*RowBox[{\\\"{\\\", \\\"True\\\", \\\"}\\\"}]\\) is neither a \
list of replacement rules nor a valid dispatch table, and so cannot be used \
for replacing.\"",2,65,27,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.770120079464011*^9, 3.770120462079961*^9, {3.7701205113538017`*^9, 
   3.7701205224628572`*^9}, {3.7701208176645184`*^9, 
   3.7701208645615335`*^9}, {3.7701208984828424`*^9, 3.770120921992321*^9}, 
   3.7701209546988764`*^9, 3.7701216926211753`*^9, 3.770210079086321*^9, 
   3.7702101186623917`*^9, 3.7704593881286135`*^9, 3.7704594901215963`*^9, 
   3.776527086078989*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"ac551dbc-74ad-4b84-92b6-1141d6da52c2"],

Cell[BoxData[
 TemplateBox[{
  "ReplaceAll","reps",
   "\"\\!\\(\\*RowBox[{\\\"{\\\", \\\"True\\\", \\\"}\\\"}]\\) is neither a \
list of replacement rules nor a valid dispatch table, and so cannot be used \
for replacing.\"",2,65,28,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.770120079464011*^9, 3.770120462079961*^9, {3.7701205113538017`*^9, 
   3.7701205224628572`*^9}, {3.7701208176645184`*^9, 
   3.7701208645615335`*^9}, {3.7701208984828424`*^9, 3.770120921992321*^9}, 
   3.7701209546988764`*^9, 3.7701216926211753`*^9, 3.770210079086321*^9, 
   3.7702101186623917`*^9, 3.7704593881286135`*^9, 3.7704594901215963`*^9, 
   3.7765270861209655`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"c2879def-77d2-49bf-8b2b-3c99e247c695"],

Cell[BoxData[
 TemplateBox[{
  "ReplaceAll","reps",
   "\"\\!\\(\\*RowBox[{\\\"{\\\", \\\"True\\\", \\\"}\\\"}]\\) is neither a \
list of replacement rules nor a valid dispatch table, and so cannot be used \
for replacing.\"",2,65,29,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.770120079464011*^9, 3.770120462079961*^9, {3.7701205113538017`*^9, 
   3.7701205224628572`*^9}, {3.7701208176645184`*^9, 
   3.7701208645615335`*^9}, {3.7701208984828424`*^9, 3.770120921992321*^9}, 
   3.7701209546988764`*^9, 3.7701216926211753`*^9, 3.770210079086321*^9, 
   3.7702101186623917`*^9, 3.7704593881286135`*^9, 3.7704594901215963`*^9, 
   3.77652708613597*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"0cc42225-8319-42ed-aae1-ffd61ba3f214"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"ReplaceAll\\\", \
\\\"::\\\", \\\"reps\\\"}], \\\"MessageName\\\"]\\) will be suppressed during \
this calculation.\"",2,65,30,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.770120079464011*^9, 3.770120462079961*^9, {3.7701205113538017`*^9, 
   3.7701205224628572`*^9}, {3.7701208176645184`*^9, 
   3.7701208645615335`*^9}, {3.7701208984828424`*^9, 3.770120921992321*^9}, 
   3.7701209546988764`*^9, 3.7701216926211753`*^9, 3.770210079086321*^9, 
   3.7702101186623917`*^9, 3.7704593881286135`*^9, 3.7704594901215963`*^9, 
   3.7765270861469507`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"b2350050-bcad-434e-adb2-2c8f57e434e3"],

Cell[BoxData[
 TemplateBox[{
  "Solve","svars",
   "\"Equations may not give solutions for all \\\"solve\\\" variables.\"",2,
   65,31,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.770120079464011*^9, 3.770120462079961*^9, {3.7701205113538017`*^9, 
   3.7701205224628572`*^9}, {3.7701208176645184`*^9, 
   3.7701208645615335`*^9}, {3.7701208984828424`*^9, 3.770120921992321*^9}, 
   3.7701209546988764`*^9, 3.7701216926211753`*^9, 3.770210079086321*^9, 
   3.7702101186623917`*^9, 3.7704593881286135`*^9, 3.7704594901215963`*^9, 
   3.7765270861609435`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"c8d1ed4d-8b39-4d3a-8dd3-55feedb5a884"],

Cell[BoxData[
 TemplateBox[{
  "Solve","svars",
   "\"Equations may not give solutions for all \\\"solve\\\" variables.\"",2,
   65,32,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.770120079464011*^9, 3.770120462079961*^9, {3.7701205113538017`*^9, 
   3.7701205224628572`*^9}, {3.7701208176645184`*^9, 
   3.7701208645615335`*^9}, {3.7701208984828424`*^9, 3.770120921992321*^9}, 
   3.7701209546988764`*^9, 3.7701216926211753`*^9, 3.770210079086321*^9, 
   3.7702101186623917`*^9, 3.7704593881286135`*^9, 3.7704594901215963`*^9, 
   3.7765270861749344`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"a0839ef7-b14d-415b-af10-d30d7d5d15e2"],

Cell[BoxData[
 TemplateBox[{
  "Solve","svars",
   "\"Equations may not give solutions for all \\\"solve\\\" variables.\"",2,
   65,33,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.770120079464011*^9, 3.770120462079961*^9, {3.7701205113538017`*^9, 
   3.7701205224628572`*^9}, {3.7701208176645184`*^9, 
   3.7701208645615335`*^9}, {3.7701208984828424`*^9, 3.770120921992321*^9}, 
   3.7701209546988764`*^9, 3.7701216926211753`*^9, 3.770210079086321*^9, 
   3.7702101186623917`*^9, 3.7704593881286135`*^9, 3.7704594901215963`*^9, 
   3.7765270862658834`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"c4cbbedf-0b96-46d6-a839-c1c26e40507b"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"Solve\\\", \\\"::\\\", \
\\\"svars\\\"}], \\\"MessageName\\\"]\\) will be suppressed during this \
calculation.\"",2,65,34,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.770120079464011*^9, 3.770120462079961*^9, {3.7701205113538017`*^9, 
   3.7701205224628572`*^9}, {3.7701208176645184`*^9, 
   3.7701208645615335`*^9}, {3.7701208984828424`*^9, 3.770120921992321*^9}, 
   3.7701209546988764`*^9, 3.7701216926211753`*^9, 3.770210079086321*^9, 
   3.7702101186623917`*^9, 3.7704593881286135`*^9, 3.7704594901215963`*^9, 
   3.776527086303876*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"7bb176e1-25d5-4627-90f5-e43e17898d40"],

Cell[BoxData[
 TemplateBox[{
  "Part","partw",
   "\"Part \\!\\(\\*RowBox[{\\\"1\\\"}]\\) of \\!\\(\\*RowBox[{\\\"{\\\", \
\\\"}\\\"}]\\) does not exist.\"",2,65,35,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.770120079464011*^9, 3.770120462079961*^9, {3.7701205113538017`*^9, 
   3.7701205224628572`*^9}, {3.7701208176645184`*^9, 
   3.7701208645615335`*^9}, {3.7701208984828424`*^9, 3.770120921992321*^9}, 
   3.7701209546988764`*^9, 3.7701216926211753`*^9, 3.770210079086321*^9, 
   3.7702101186623917`*^9, 3.7704593881286135`*^9, 3.7704594901215963`*^9, 
   3.7765270883556857`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"028a77a9-be52-4187-9aa3-e004daf733fd"],

Cell[BoxData[
 TemplateBox[{
  "Part","partw",
   "\"Part \\!\\(\\*RowBox[{\\\"1\\\"}]\\) of \\!\\(\\*RowBox[{\\\"{\\\", \
\\\"}\\\"}]\\) does not exist.\"",2,65,36,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.770120079464011*^9, 3.770120462079961*^9, {3.7701205113538017`*^9, 
   3.7701205224628572`*^9}, {3.7701208176645184`*^9, 
   3.7701208645615335`*^9}, {3.7701208984828424`*^9, 3.770120921992321*^9}, 
   3.7701209546988764`*^9, 3.7701216926211753`*^9, 3.770210079086321*^9, 
   3.7702101186623917`*^9, 3.7704593881286135`*^9, 3.7704594901215963`*^9, 
   3.7765270885825553`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"745ce1fd-6bd0-4278-9edf-b0d770c3e26a"],

Cell[BoxData[
 TemplateBox[{
  "Part","partw",
   "\"Part \\!\\(\\*RowBox[{\\\"1\\\"}]\\) of \\!\\(\\*RowBox[{\\\"{\\\", \
\\\"}\\\"}]\\) does not exist.\"",2,65,37,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.770120079464011*^9, 3.770120462079961*^9, {3.7701205113538017`*^9, 
   3.7701205224628572`*^9}, {3.7701208176645184`*^9, 
   3.7701208645615335`*^9}, {3.7701208984828424`*^9, 3.770120921992321*^9}, 
   3.7701209546988764`*^9, 3.7701216926211753`*^9, 3.770210079086321*^9, 
   3.7702101186623917`*^9, 3.7704593881286135`*^9, 3.7704594901215963`*^9, 
   3.776527088695493*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"9f425330-2b8a-4454-b17b-6823f94a93e8"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"Part\\\", \\\"::\\\", \
\\\"partw\\\"}], \\\"MessageName\\\"]\\) will be suppressed during this \
calculation.\"",2,65,38,24515749725321138673,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.770120079464011*^9, 3.770120462079961*^9, {3.7701205113538017`*^9, 
   3.7701205224628572`*^9}, {3.7701208176645184`*^9, 
   3.7701208645615335`*^9}, {3.7701208984828424`*^9, 3.770120921992321*^9}, 
   3.7701209546988764`*^9, 3.7701216926211753`*^9, 3.770210079086321*^9, 
   3.7702101186623917`*^9, 3.7704593881286135`*^9, 3.7704594901215963`*^9, 
   3.7765270887304726`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[45]:=",ExpressionUUID->"08c667a6-9677-4c20-a88a-de980b21755b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"F", "\[Rule]", "172700.40297280328`"}]},
      {
       RowBox[{
        RowBox[{"M", "[", "1", "]"}], "\[Rule]", 
        RowBox[{"-", "115133.71711028717`"}]}]},
      {
       RowBox[{
        RowBox[{"M", "[", "2", "]"}], "\[Rule]", 
        RowBox[{"-", "172700"}]}]},
      {
       RowBox[{
        RowBox[{"M", "[", "3", "]"}], "\[Rule]", "172700.`"}]},
      {
       RowBox[{
        RowBox[{"M", "[", "4", "]"}], "\[Rule]", 
        RowBox[{"-", "172700"}]}]},
      {
       RowBox[{
        RowBox[{"M", "[", "5", "]"}], "\[Rule]", "0"}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "1", "]"}], "\[Rule]", "0"}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "2", "]"}], "\[Rule]", "0"}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "3", "]"}], "\[Rule]", 
        "0.06558080839508997`"}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "4", "]"}], "\[Rule]", 
        RowBox[{"-", "0.03497663211135551`"}]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.7701200840722914`*^9, 3.770120463970595*^9, {3.770120513646842*^9, 
   3.7701205268405*^9}, {3.7701208193337216`*^9, 3.770120865909145*^9}, {
   3.770120899964845*^9, 3.7701209563056793`*^9}, 3.7701216938701773`*^9, 
   3.770210087747336*^9, 3.770210125119027*^9, 3.7704594022434397`*^9, 
   3.770459497604424*^9, 3.7765270919886036`*^9},
 CellLabel->
  "Out[66]//MatrixForm=",ExpressionUUID->"222e8248-7215-42e2-b70c-\
e75868b9ed7b"]
}, Open  ]]
},
WindowSize->{1536, 781},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
FrontEndVersion->"12.0 para Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 60227, 1400, 5843, "Input",ExpressionUUID->"f657672b-ed52-4492-9fb7-50399ad3c5d6"],
Cell[CellGroupData[{
Cell[60832, 1426, 777, 16, 22, "Print",ExpressionUUID->"bbd157e0-d7c6-4fd9-b864-f5b9eb5abf1b"],
Cell[61612, 1444, 702, 14, 22, "Print",ExpressionUUID->"dd7c5d9d-c46c-4d87-99ab-07aaba19f484"],
Cell[62317, 1460, 716, 15, 22, "Print",ExpressionUUID->"c9ff40a2-e09b-4023-b86c-29a659c15d82"],
Cell[63036, 1477, 1695, 42, 22, "Print",ExpressionUUID->"f7949aee-3051-4686-b0a1-0e05c4394082"]
}, Open  ]],
Cell[64746, 1522, 815, 16, 21, "Message",ExpressionUUID->"ac3d5f87-7f57-466b-b59f-92681461858e"],
Cell[65564, 1540, 815, 16, 21, "Message",ExpressionUUID->"1fe605e7-58f8-424c-92bc-e5895ff73e7d"],
Cell[66382, 1558, 815, 16, 21, "Message",ExpressionUUID->"cd7ae7c9-d74b-4f41-8f50-8a9541e8e621"],
Cell[67200, 1576, 815, 16, 21, "Message",ExpressionUUID->"db1310c3-abc2-49f1-9c7b-465c598759f8"],
Cell[68018, 1594, 821, 16, 23, "Message",ExpressionUUID->"ac551dbc-74ad-4b84-92b6-1141d6da52c2"],
Cell[68842, 1612, 823, 16, 23, "Message",ExpressionUUID->"c2879def-77d2-49bf-8b2b-3c99e247c695"],
Cell[69668, 1630, 820, 16, 23, "Message",ExpressionUUID->"0cc42225-8319-42ed-aae1-ffd61ba3f214"],
Cell[70491, 1648, 819, 16, 21, "Message",ExpressionUUID->"b2350050-bcad-434e-adb2-2c8f57e434e3"],
Cell[71313, 1666, 724, 15, 21, "Message",ExpressionUUID->"c8d1ed4d-8b39-4d3a-8dd3-55feedb5a884"],
Cell[72040, 1683, 724, 15, 21, "Message",ExpressionUUID->"a0839ef7-b14d-415b-af10-d30d7d5d15e2"],
Cell[72767, 1700, 724, 15, 21, "Message",ExpressionUUID->"c4cbbedf-0b96-46d6-a839-c1c26e40507b"],
Cell[73494, 1717, 813, 16, 21, "Message",ExpressionUUID->"7bb176e1-25d5-4627-90f5-e43e17898d40"],
Cell[74310, 1735, 754, 15, 23, "Message",ExpressionUUID->"028a77a9-be52-4187-9aa3-e004daf733fd"],
Cell[75067, 1752, 754, 15, 23, "Message",ExpressionUUID->"745ce1fd-6bd0-4278-9edf-b0d770c3e26a"],
Cell[75824, 1769, 752, 15, 23, "Message",ExpressionUUID->"9f425330-2b8a-4454-b17b-6823f94a93e8"],
Cell[76579, 1786, 814, 16, 21, "Message",ExpressionUUID->"08c667a6-9677-4c20-a88a-de980b21755b"],
Cell[77396, 1804, 1955, 58, 255, "Output",ExpressionUUID->"222e8248-7215-42e2-b70c-e75868b9ed7b"]
}, Open  ]]
}
]
*)

