(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     77729,       1840]
NotebookOptionsPosition[     75125,       1800]
NotebookOutlinePosition[     75466,       1815]
CellTagsIndexPosition[     75423,       1812]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Ejemplo", " ", "5"}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "Enunciado", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"nodos", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Fx", ",", "Fy", ",", "Mz"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "L", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"L", ",", 
           RowBox[{"L", "*", 
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"Cos", "[", "\[Alpha]", "]"}]}], ")"}]}], ",", "0"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"-", "F"}], ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"2", "L"}], ",", "L", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"F", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"2", "L"}], ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Fx", ",", "Fy", ",", "Mz"}], "}"}]}], "}"}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"material", "=", 
     RowBox[{"{", 
      RowBox[{"{", "vE", "}"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"perfil", "=", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"A", ",", "Iz", ",", "Mp"}], "}"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"barras", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"2", ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"3", ",", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"4", ",", "5"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"5", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "}"}]}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datos", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"L", "\[Rule]", "4"}], ",", 
       RowBox[{"vE", "\[Rule]", 
        RowBox[{"2.1", " ", 
         RowBox[{"10", "^", "11"}]}]}], ",", 
       RowBox[{"Iz", "\[Rule]", 
        RowBox[{"8360", " ", 
         RowBox[{"10", "^", 
          RowBox[{"-", "8"}]}]}]}], ",", 
       RowBox[{"S", "\[Rule]", 
        RowBox[{"628", " ", 
         RowBox[{"10", "^", 
          RowBox[{"-", "6"}]}]}]}], ",", 
       RowBox[{"\[Sigma]F", "\[Rule]", 
        RowBox[{"275", " ", 
         RowBox[{"10", "^", "6"}]}]}], ",", 
       RowBox[{"Mp", "\[Rule]", 
        RowBox[{"S", " ", "\[Sigma]F"}]}], ",", 
       RowBox[{"\[Alpha]", "\[Rule]", 
        RowBox[{"5", "Degree"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Matriz", " ", "homog\[EAcute]nea"}], "*)"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{"matrizT", "=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "Li", ",", "\[Lambda]x", ",", "\[Lambda]y", ",", "\[Lambda]z"}], 
        "}"}], ",", " ", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"nd", "=", 
         RowBox[{"Length", "[", "nodos", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"nb", "=", 
         RowBox[{"Length", "[", "barras", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"mT", "=", 
         RowBox[{
          RowBox[{"T", "[", "1", "]"}], "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", 
               RowBox[{"q", "[", "1", "]"}]}], ",", "0", ",", "0"}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"q", "[", "1", "]"}], ",", "1", ",", "0", ",", "0"}], 
             "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"nd", "-", "1"}]}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Li", "=", 
             RowBox[{"Norm", "[", 
              RowBox[{
               RowBox[{"nodos", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"i", "+", "1"}], ",", "1"}], "]"}], "]"}], "-", 
               RowBox[{"nodos", "[", 
                RowBox[{"[", 
                 RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"\[Lambda]x", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"i", "+", "1"}], ",", "1", ",", "1"}], "]"}], 
                 "]"}], "-", 
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", ",", "1", ",", "1"}], "]"}], "]"}]}], ")"}], 
              "/", "Li"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"\[Lambda]y", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"i", "+", "1"}], ",", "1", ",", "2"}], "]"}], 
                 "]"}], "-", 
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", ",", "1", ",", "2"}], "]"}], "]"}]}], ")"}], 
              "/", "Li"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"\[Lambda]z", "=", 
             RowBox[{"0", "/", "Li"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"T", "[", 
              RowBox[{"i", "+", "1"}], "]"}], "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"1", ",", 
                 RowBox[{"-", 
                  RowBox[{"q", "[", 
                   RowBox[{"i", "+", "1"}], "]"}]}], ",", "0", ",", 
                 RowBox[{"\[Lambda]x", " ", "Li"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"q", "[", 
                  RowBox[{"i", "+", "1"}], "]"}], ",", "1", ",", "0", ",", 
                 RowBox[{"\[Lambda]y", " ", "Li"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "1", ",", 
                 RowBox[{"\[Lambda]z", " ", "Li"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]}],
             ";", "\[IndentingNewLine]", 
            RowBox[{"mT", "=", 
             RowBox[{"mT", ".", 
              RowBox[{"T", "[", 
               RowBox[{"i", "+", "1"}], "]"}]}]}], ";"}], 
           "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", "]"}], ";", 
        "\[IndentingNewLine]", "mT"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{"(*", 
    RowBox[{"R\[OAcute]tulas", " ", "pl\[AAcute]sticas"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"NPR", ",", "Comp"}], "}"}], "=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"NPR", ",", "Comp"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"NPR", "=", "0"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Comp", "=", 
         RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
          RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"nodos", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "2", ",", "1"}], "]"}], "]"}], 
                 "\[Equal]", "Fx"}], "||", 
                RowBox[{
                 RowBox[{"nodos", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "2", ",", "2"}], "]"}], "]"}], 
                 "\[Equal]", "Fy"}]}], ")"}], "&&", 
              RowBox[{
               RowBox[{"nodos", "[", 
                RowBox[{"[", 
                 RowBox[{"i", ",", "2", ",", "3"}], "]"}], "]"}], "\[Equal]", 
               "0"}]}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"NPR", "=", "NPR"}], ",", 
               RowBox[{"Comp", "=", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"Comp", ",", "0"}], "]"}]}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"NPR", "+=", "1"}], ",", 
               RowBox[{"Comp", "=", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"Comp", ",", "1"}], "]"}]}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"NPR", "+=", "1"}], ",", 
               RowBox[{"Comp", "=", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"Comp", ",", "1"}], "]"}]}]}], "}"}]}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"NPR", ",", "Comp"}], "}"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Comp", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<El n\[UAcute]mero de posibles r\[OAcute]tulas plasticas es de \>\"",
       ",", "NPR"}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Ecuaciones", " ", "de", " ", "equilibrio"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GH", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", 
      RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"nodos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2", ",", "1"}], "]"}], "]"}], "\[Equal]", 
          "Fx"}], ",", 
         RowBox[{"GH", "+=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"nodos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2", ",", "2"}], "]"}], "]"}], "\[Equal]", 
          "Fy"}], ",", 
         RowBox[{"GH", "+=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"nodos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2", ",", "3"}], "]"}], "]"}], "\[Equal]", 
          "Mz"}], ",", 
         RowBox[{"GH", "+=", "1"}]}], "]"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GH", "=", 
     RowBox[{"GH", "-", "3"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"nodos", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "nd"}], "}"}]}], "]"}], "\[Equal]", "0"}], ",", 
      RowBox[{"GH", "=", 
       RowBox[{"GH", "-", "1"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"EQ", "=", 
     RowBox[{"NPR", "-", "GH"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Ecuaciones de equilibrio = \>\"", ",", " ", "EQ"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Ecuaciones de compatibilidad = \>\"", ",", " ", "GH"}], 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Posibles", " ", "mecanismo", " ", "de", " ", "colapso", " ", 
     RowBox[{"(", "todos", ")"}]}], "*)"}], "\n", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mec", "=", 
     RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mec", "=", 
     RowBox[{"Subsets", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"i", "=", "1"}], ",", 
           RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
           RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Comp", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "1"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"AppendTo", "[", 
              RowBox[{"mec", ",", 
               RowBox[{"barras", "[", 
                RowBox[{"[", 
                 RowBox[{"i", ",", "1", ",", "1"}], "]"}], "]"}]}], "]"}]}], 
            "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], ";",
          "\[IndentingNewLine]", "mec"}], ")"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"NPR", "-", 
          RowBox[{"(", 
           RowBox[{"nd", "-", "3"}], ")"}]}], ",", "NPR"}], "}"}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Todas las posibles combinaciones de r\[OAcute]tulas \
pl\[AAcute]sticas son:\>\"", ",", "mec"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mecnec", "=", "mec"}], ";"}], "\[IndentingNewLine]", "\n", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"avanza", "=", 
      RowBox[{"Length", "[", 
       RowBox[{"mecnec", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ",", 
     RowBox[{"avanza", "\[LessEqual]", 
      RowBox[{"Length", "[", "nodos", "]"}]}], ",", 
     RowBox[{"avanza", "++"}], ",", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"mecextra", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", 
              RowBox[{"Length", "[", "mecnec", "]"}]}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", 
                 RowBox[{"mecnec", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "]"}], "\[Equal]", 
                "avanza"}], ",", 
               RowBox[{"AppendTo", "[", 
                RowBox[{"mecextra", ",", 
                 RowBox[{"mecnec", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], "]"}]}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"mec", "=", "mecextra"}], ";", "\[IndentingNewLine]", 
           RowBox[{"dim", "=", 
            RowBox[{"Length", "[", "mecextra", "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"mec2", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", "dim"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"mec2", "[", 
                RowBox[{"[", "i", "]"}], "]"}], "=", 
               RowBox[{"mec", "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"j", "=", "1"}], ",", 
                RowBox[{"j", "\[LessEqual]", 
                 RowBox[{"nd", "-", 
                  RowBox[{"Length", "[", 
                   RowBox[{"mec", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}]}]}], ",", 
                RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{
                  RowBox[{"mec2", "[", 
                   RowBox[{"[", "i", "]"}], "]"}], ",", "0"}], "]"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"mec3", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", "dim", ",", "nd"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"j", "=", "1"}], ",", 
                RowBox[{"j", "\[LessEqual]", "nd"}], ",", 
                RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"mec2", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}], "\[NotEqual]", 
                    "0"}], ",", 
                   RowBox[{
                    RowBox[{"mec3", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", 
                    RowBox[{"mec2", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}]}], "]"}], "]"}], 
                    "=", 
                    RowBox[{"mec2", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}]}]}], "]"}], ";"}]}],
                "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"MCp", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", "dim"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"j", "=", "1"}], ",", 
             RowBox[{"j", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"k", "=", "0"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"i", "=", "1"}], ",", 
                 RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
                 RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Comp", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "1"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"mec3", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "i"}], "]"}], "]"}], "\[NotEqual]", 
                    "0"}], "&&", 
                    RowBox[{"k", "\[Equal]", "0"}]}], ",", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", "=", "1"}], ";", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"q", "[", "i", "]"}], "\[Equal]", 
                    "\[CapitalDelta]v"}]}], "]"}]}], ")"}]}], "]"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"mec3", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "i"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"q", "[", "i", "]"}], "\[Equal]", "0"}]}], 
                    "]"}]}], "]"}]}], ")"}]}], "\[IndentingNewLine]", "]"}]}],
                 "\[IndentingNewLine]", "]"}], ";"}], ")"}]}], 
            "\[IndentingNewLine]", "]"}], ";", "\n", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"Mecanismos", " ", "propuestos"}], ",", " ", 
             RowBox[{"ecuaciones", " ", "de", " ", "equilibrio"}]}], "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"\[CapitalDelta]v", "=", "0.000001"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"sol", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", "dim", "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"gdl", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"q", "[", "i", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "1", ",", "nd"}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Do", "[", " ", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"vP", "=", 
               RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"i", "=", "1"}], ",", 
                RowBox[{"i", "\[LessEqual]", 
                 RowBox[{"nd", "-", 
                  RowBox[{"Length", "[", 
                   RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "]"}]}]}], ",", 
                RowBox[{"i", "++"}], ",", 
                RowBox[{"(", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"i", "\[Equal]", "1"}], ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"vP", ",", 
                    RowBox[{"mT", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "4"}], "]"}], "]"}]}], "]"}]}], "]"}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"i", "\[Equal]", "2"}], ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"vP", ",", 
                    RowBox[{"mT", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "]"}]}], "]"}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"i", "\[Equal]", "3"}], ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"vP", ",", 
                    RowBox[{"mT", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "4"}], "]"}], "]"}]}], "]"}]}], "]"}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"j", "=", "i"}], ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"j", ">", "3"}], ",", 
                    RowBox[{"j", "=", "3"}]}], "]"}], ";"}], 
                 "\[IndentingNewLine]", ")"}]}], "\[IndentingNewLine]", "]"}],
               ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"j", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"kk", "=", 
                  RowBox[{
                   RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"vP", "\[Equal]", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"nd", ",", "1", ",", "2"}], "]"}], "]"}]}], "}"}],
                     ",", 
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "gdl"}], "\[IndentingNewLine]", 
                    "]"}], "/.", "datos"}]}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"j", "\[Equal]", "2"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"kk", "=", 
                  RowBox[{
                   RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"vP", "\[Equal]", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"nd", ",", "1", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}]}], "]"}], "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "gdl"}], "\[IndentingNewLine]", 
                    "]"}], "/.", "datos"}]}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"j", "\[Equal]", "3"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"kk", "=", 
                  RowBox[{
                   RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"vP", "\[Equal]", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"nd", ",", "1", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3", ",", "1"}], "}"}]}], "]"}], 
                    "]"}]}], "}"}], ",", 
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "gdl"}], "\[IndentingNewLine]", 
                    "]"}], "/.", "datos"}]}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"s", "=", "0"}], ";", "\[IndentingNewLine]", 
              RowBox[{"j", "=", "0"}], ";", "\[IndentingNewLine]", 
              RowBox[{"min", "=", 
               RowBox[{"10", "^", "10"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"i", "=", "1"}], ";", "\[IndentingNewLine]", 
              RowBox[{"Do", "[", 
               RowBox[{
                RowBox[{"s", "+=", 
                 RowBox[{
                  RowBox[{"Abs", "[", 
                   RowBox[{"q", "[", "i", "]"}], "]"}], "/.", "kk"}]}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", 
                  RowBox[{"nd", "-", "1"}]}], "}"}]}], "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"Do", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"s", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "<", "min"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"min", "=", 
                    RowBox[{"s", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], ",", 
                    RowBox[{"j", "=", "i"}]}], "}"}]}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"i", ",", 
                  RowBox[{"Length", "[", "s", "]"}]}], "}"}]}], 
               "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"sol", "[", 
                RowBox[{"[", "neq", "]"}], "]"}], "=", 
               RowBox[{"kk", "[", 
                RowBox[{"[", "j", "]"}], "]"}]}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"sol2", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"sol", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "List"}], ",", 
               ",", ",", "\[IndentingNewLine]", 
               RowBox[{"AppendTo", "[", 
                RowBox[{"sol2", ",", 
                 RowBox[{"sol", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], 
              "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"sol", "=", "sol2"}], ";", "\[IndentingNewLine]", 
           RowBox[{"sol", "=", 
            RowBox[{"Chop", "[", 
             RowBox[{"sol", ",", 
              RowBox[{"10", "^", 
               RowBox[{"-", "8"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", "desplazamientos", "*)"}], "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"dim", "=", 
            RowBox[{"Length", "[", "sol", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"\[Delta]", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"Table", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"Dot", "@@", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"T", "[", "j", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"j", ",", "i"}], "}"}]}], "]"}]}], ")"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", "4"}], 
                    "]"}], "]"}], ")"}], "-", 
                   RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "1"}], "]"}], "]"}]}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "nd"}], "}"}]}], "\[IndentingNewLine]", 
                 "]"}], "/.", 
                RowBox[{"sol", "[", 
                 RowBox[{"[", "neq", "]"}], "]"}]}], "/.", "datos"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"\[Delta]", "=", 
            RowBox[{"Chop", "[", 
             RowBox[{"\[Delta]", ",", 
              RowBox[{"10", "^", 
               RowBox[{"-", "6"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"Aplicar", " ", "el", " ", "PDV"}], "*)"}], "\n", 
           "\[IndentingNewLine]", 
           RowBox[{"eq", "=", 
            RowBox[{
             RowBox[{
              RowBox[{"Table", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"\[Delta]", "[", 
                    RowBox[{"[", 
                    RowBox[{"neq", ",", "i"}], "]"}], "]"}], ".", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "2"}], "]"}], "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}], "-", 
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], 
                    RowBox[{"q", "[", "i", "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], ")"}], "/", 
                  "\[CapitalDelta]v"}], "/.", 
                 RowBox[{"sol", "[", 
                  RowBox[{"[", "neq", "]"}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
               "]"}], "/.", 
              RowBox[{"(", 
               RowBox[{"0.0", "\[Rule]", "0"}], ")"}]}], "//", "Simplify"}]}],
            ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"Ensayo", " ", "de", " ", "mecanismos"}], "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Mreal", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", 
              RowBox[{"{", "dim", "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"i", "=", "1"}], ",", 
                RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
                RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"If", "[", " ", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"q", "[", "i", "]"}], "\[NotEqual]", "0"}], "/.", 
                    RowBox[{
                    RowBox[{"sol", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "||", 
                    RowBox[{
                    RowBox[{"Comp", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "0"}]}]}], 
                   ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "=", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                    RowBox[{"(", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"repite", "\[Equal]", "1"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"Sign", "[", 
                    RowBox[{"q", "[", "i", "]"}], "]"}], "Mp"}]}], "/.", 
                    RowBox[{"sol", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sign", "[", 
                    RowBox[{"q", "[", "i", "]"}], "]"}]}], "Mp"}]}], "/.", 
                    RowBox[{"sol", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}]}], 
                    "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
                    ")"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "=", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"\[Theta]", "[", "i", "]"}], "\[Rule]", "0"}]}], 
                    "]"}]}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "=", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", "0"}]}], 
                    "]"}]}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
             ",", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\n", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"Ecuaciones", " ", "de", " ", "compatibilidad"}], "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"cc", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
             RowBox[{"i", "++"}], ",", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Comp", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "0"}], ",", 
               RowBox[{"(", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"cc", ",", 
                  RowBox[{
                   RowBox[{"m", "[", "i", "]"}], "\[Equal]", "0"}]}], "]"}], 
                ")"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"ec", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "EQ"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"j", "=", "1"}], ",", 
               RowBox[{"j", "\[LessEqual]", "dim"}], ",", 
               RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"sol", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", 
                    RowBox[{"nd", "-", "i", "+", "1"}], ",", "2"}], "]"}], 
                    "]"}], "\[NotEqual]", "0"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"ec", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"eq", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "/.", 
                    RowBox[{"F", "\[Rule]", "0"}]}], "/.", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", 
                    RowBox[{"m", "[", "i", "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"j", "=", "dim"}], ";", 
                    RowBox[{
                    RowBox[{"eq", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "=", "0"}]}], ")"}]}], 
                 "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]",
               "]"}]}], "\[IndentingNewLine]", "]"}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"mvirtual", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                RowBox[{"Join", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"m", "[", "i", "]"}], "\[Equal]", 
                    RowBox[{"DiscreteDelta", "[", 
                    RowBox[{"j", "-", "i"}], "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "GH"}], "}"}]}], "]"}], ",", "cc", ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"ec", "\[Equal]", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", "EQ", "}"}]}], "]"}]}], "}"}]}], 
                 "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}], 
               "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"j", ",", "GH"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"mvirtual", "=", 
            RowBox[{"Chop", "[", 
             RowBox[{"mvirtual", ",", 
              RowBox[{"10", "^", 
               RowBox[{"-", "6"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"EC", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Table", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"pfv", "=", "0"}], ";", 
                    RowBox[{"i", "=", "1"}]}], ",", 
                   RowBox[{"i", "\[LessEqual]", 
                    RowBox[{"nb", "-", "1"}]}], ",", 
                   RowBox[{"i", "++"}], ",", 
                   RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Li", "=", 
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", "1"}], "]"}], "]"}], "-", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "]"}], "/.", 
                    "datos"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"vEi", "=", 
                    RowBox[{"material", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"barras", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
                    "1"}], "]"}], "]"}]}], " ", ";", "\[IndentingNewLine]", 
                    RowBox[{"Izi", "=", 
                    RowBox[{"perfil", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"barras", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
                    "2"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"Mi", "=", 
                    RowBox[{"M", "[", "i", "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Mj", "=", 
                    RowBox[{"M", "[", 
                    RowBox[{"i", "+", "1"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"mi", "=", 
                    RowBox[{"m", "[", "i", "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"mj", "=", 
                    RowBox[{"m", "[", 
                    RowBox[{"i", "+", "1"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"pfv", "+=", 
                    RowBox[{
                    RowBox[{"Li", "/", 
                    RowBox[{"(", 
                    RowBox[{"6", " ", "vEi", " ", "Izi"}], ")"}]}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"mi", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "Mi"}], "+", "Mj"}], ")"}]}], "+", 
                    RowBox[{"mj", 
                    RowBox[{"(", 
                    RowBox[{"Mi", "+", 
                    RowBox[{"2", "Mj"}]}], ")"}]}]}], ")"}]}]}], ";"}], 
                    "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", 
                  " ", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"pfv", "+=", 
                  RowBox[{"Sum", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"m", "[", "i", "]"}], 
                    RowBox[{"\[Theta]", "[", "i", "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"pfv", "=", 
                  RowBox[{"Simplify", "[", 
                   RowBox[{
                    RowBox[{"pfv", "/.", 
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "/.", 
                    RowBox[{"mvirtual", "[", 
                    RowBox[{"[", "j", "]"}], "]"}]}], "]"}]}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"j", ",", "GH"}], "}"}]}], "\[IndentingNewLine]", 
               "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\n", "\[IndentingNewLine]", 
           RowBox[{"adic", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Table", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"Mreal", "[", 
                  RowBox[{"[", 
                   RowBox[{"neq", ",", "i", ",", "1"}], "]"}], "]"}], 
                 "\[Equal]", 
                 RowBox[{"Mreal", "[", 
                  RowBox[{"[", 
                   RowBox[{"neq", ",", "i", ",", "2"}], "]"}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "nd"}], "}"}]}], "\[IndentingNewLine]", 
               "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"incog", "=", 
            RowBox[{"Join", "[", 
             RowBox[{
              RowBox[{"{", "F", "}"}], ",", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"M", "[", "i", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "nd"}], "}"}]}], "]"}], ",", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"\[Theta]", "[", "i", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"giros", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", 
              RowBox[{"{", "dim", "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"i", "=", "1"}], ",", 
               RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
               RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{"If", "[", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Mreal", "[", 
                   RowBox[{"[", 
                    RowBox[{"neq", ",", "i", ",", "1"}], "]"}], "]"}], 
                  "\[Equal]", 
                  RowBox[{"M", "[", "i", "]"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{"AppendTo", "[", 
                  RowBox[{
                   RowBox[{"giros", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                   RowBox[{"\[Theta]", "[", "i", "]"}]}], "]"}]}], 
                "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "ensayar", " ", "los", " ", "mecanismos", " ", "posibles"}], 
            "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Do", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"i", "=", "1"}], ",", 
               RowBox[{"i", "\[LessEqual]", 
                RowBox[{"Length", "[", 
                 RowBox[{"giros", "[", 
                  RowBox[{"[", "neq", "]"}], "]"}], "]"}]}], ",", 
               RowBox[{"i", "++"}], ",", 
               RowBox[{"{", " ", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"j", "=", "1"}], ",", 
                  RowBox[{"j", "\[LessEqual]", 
                   RowBox[{
                    RowBox[{"Length", "[", "eq", "]"}], "-", "EQ", "+", 
                    "1"}]}], ",", 
                  RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"add", "=", 
                    RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"k", "=", "j"}], ",", 
                    RowBox[{"k", "\[LessEqual]", 
                    RowBox[{"EQ", "+", "j", "-", "1"}]}], ",", 
                    RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"add", ",", 
                    RowBox[{"eq", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"sol", "=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Solve", "[", " ", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"EC", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "\[Equal]", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", "GH", "}"}]}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"add", "\[Equal]", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", "EQ", "}"}]}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"giros", "[", 
                    RowBox[{"[", 
                    RowBox[{"neq", ",", "i"}], "]"}], "]"}], "}"}], 
                    "\[Equal]", 
                    RowBox[{"{", "0", "}"}]}]}], "\[IndentingNewLine]", "}"}],
                     ",", "\[IndentingNewLine]", 
                    RowBox[{"adic", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "\[IndentingNewLine]",
                     "]"}], ",", "incog"}], "\[IndentingNewLine]", "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "/.", 
                    RowBox[{"(", 
                    RowBox[{"0.0", "\[Rule]", "0"}], ")"}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Refine", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"And", "@@", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Abs", "[", 
                    RowBox[{"M", "[", "i", "]"}], "]"}], "\[LessEqual]", 
                    "Mp"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], "/.", "sol"}],
                     ")"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Assumptions", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Mp", ">", "0"}], ",", 
                    RowBox[{"Iz", ">", "0"}], ",", 
                    RowBox[{"vE", ">", "0"}]}], "}"}]}]}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Refine", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"And", "@@", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sign", "[", 
                    RowBox[{
                    RowBox[{"\[Theta]", "[", "i", "]"}], 
                    RowBox[{"M", "[", "i", "]"}]}], "]"}], "\[GreaterEqual]", 
                    "0"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], "/.", "sol"}],
                     ")"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Assumptions", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Mp", ">", "0"}], ",", 
                    RowBox[{"Iz", ">", "0"}], ",", 
                    RowBox[{"vE", ">", "0"}]}], "}"}]}]}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"solucion", "=", "sol"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"i", "=", 
                    RowBox[{"Length", "[", 
                    RowBox[{"giros", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "]"}]}]}], "}"}]}], " ",
                     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
                    "]"}]}], "\[IndentingNewLine]", "}"}]}], 
                 "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "}"}]}],
               "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"solucion", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}], "//.", "datos"}], 
               ")"}], "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"solucion", "=", 
                RowBox[{"(", 
                 RowBox[{"solucion", "//.", "datos"}], ")"}]}], ",", 
               RowBox[{"repite", "=", "2"}]}], "}"}]}], "]"}], ";"}], 
          "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"repite", ",", "2"}], "}"}]}], "\[IndentingNewLine]", "]"}],
        ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"solucion", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "2"}], "]"}], "]"}], "//.", "datos"}], ")"}], 
          "\[GreaterEqual]", "0"}], ",", 
         RowBox[{"avanza", "=", 
          RowBox[{
           RowBox[{"Length", "[", "nodos", "]"}], "+", "1"}]}]}], "]"}], 
       ";"}], "\[IndentingNewLine]", "}"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"MatrixForm", "[", 
    RowBox[{"solucion", "//.", "datos"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7607980090067687`*^9, 3.760798030177006*^9}, 
   3.7607980994309287`*^9, {3.762006650212393*^9, 3.762006650582414*^9}, 
   3.765169190908366*^9, {3.765169354615055*^9, 3.7651693636915812`*^9}, {
   3.7652853769768686`*^9, 3.7652854218299475`*^9}, {3.765375305841471*^9, 
   3.7653753397805314`*^9}, 3.7694300462771935`*^9, {3.770119246859029*^9, 
   3.770119318818181*^9}, {3.7701194454526334`*^9, 3.7701194517536564`*^9}, {
   3.770119524648168*^9, 3.7701195587179775`*^9}, {3.7701196065664005`*^9, 
   3.770119613473816*^9}, 3.770119771442543*^9, {3.7701198194781885`*^9, 
   3.7701198486487875`*^9}, {3.770120060396432*^9, 3.7701200664584804`*^9}, {
   3.7701204603171577`*^9, 3.770120460785159*^9}, 3.7701208165403166`*^9, {
   3.770120855088713*^9, 3.770120953794075*^9}, {3.7701210106821084`*^9, 
   3.7701210291968155`*^9}, {3.770121113249881*^9, 3.7701211191267633`*^9}, {
   3.770121191800905*^9, 3.7701211923143225`*^9}, {3.7701213551661935`*^9, 
   3.7701214088081627`*^9}, {3.7701215195237374`*^9, 
   3.7701215292347913`*^9}, {3.770121627494314*^9, 3.770121646067197*^9}, 
   3.770124631944734*^9, {3.770124749938092*^9, 3.7701247512806945`*^9}, {
   3.770210273072692*^9, 3.770210285368513*^9}, 3.7702103409980173`*^9, {
   3.7704625242645645`*^9, 3.7704625961486692`*^9}, 3.7704646603987136`*^9, {
   3.770465548473955*^9, 3.7704655547344246`*^9}, {3.7705313910748653`*^9, 
   3.7705313914748664`*^9}, {3.770531529877715*^9, 3.770531540847534*^9}, {
   3.770531581071806*^9, 3.770531585858415*^9}, {3.7705316320184994`*^9, 
   3.7705316369647083`*^9}, {3.776527375579147*^9, 3.7765274036796913`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"d63b1efc-ac80-4412-ac71-2f6d2a2d29b7"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El n\[UAcute]mero de posibles r\[OAcute]tulas plasticas es de \
\"\>", "\[InvisibleSpace]", "5"}],
  SequenceForm[
  "El n\[UAcute]mero de posibles r\[OAcute]tulas plasticas es de ", 5],
  Editable->False]], "Print",
 CellChangeTimes->{3.7705316512893353`*^9, 3.776527406753577*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"4dee078f-634d-468d-8aa0-2a89fa8c35d0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Ecuaciones de equilibrio = \"\>", "\[InvisibleSpace]", "2"}],
  SequenceForm["Ecuaciones de equilibrio = ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{3.7705316512893353`*^9, 3.776527406766568*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"e3060644-8604-4646-b907-c390d636e22a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Ecuaciones de compatibilidad = \"\>", "\[InvisibleSpace]", 
   "3"}],
  SequenceForm["Ecuaciones de compatibilidad = ", 3],
  Editable->False]], "Print",
 CellChangeTimes->{3.7705316512893353`*^9, 3.776527406779561*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"633e5359-6191-4afc-84ed-7fc217ff6706"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Todas las posibles combinaciones de r\[OAcute]tulas \
pl\[AAcute]sticas son:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}]}], "}"}]}],
  SequenceForm[
  "Todas las posibles combinaciones de r\[OAcute]tulas pl\[AAcute]sticas \
son:", {{1, 2, 3}, {1, 2, 4}, {1, 2, 5}, {1, 3, 4}, {1, 3, 5}, {1, 4, 5}, {2, 
    3, 4}, {2, 3, 5}, {2, 4, 5}, {3, 4, 5}, {1, 2, 3, 4}, {1, 2, 3, 5}, {1, 2,
     4, 5}, {1, 3, 4, 5}, {2, 3, 4, 5}, {1, 2, 3, 4, 5}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.7705316512893353`*^9, 3.7765274067885547`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"85e459e8-90a7-4fa4-9aff-bec7f45c5db1"]
}, Open  ]],

Cell[BoxData[
 TemplateBox[{
  "Solve","ratnz",
   "\"Solve was unable to solve the system with inexact coefficients. The \
answer was obtained by solving a corresponding exact system and numericizing \
the result.\"",2,21,1,24515812004260300579,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7705316525851383`*^9, 3.776527407039324*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"06b10256-4402-4995-ab40-0fd3eac3eb3e"],

Cell[BoxData[
 TemplateBox[{
  "Solve","ratnz",
   "\"Solve was unable to solve the system with inexact coefficients. The \
answer was obtained by solving a corresponding exact system and numericizing \
the result.\"",2,21,2,24515812004260300579,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7705316525851383`*^9, 3.7765274071212626`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"737061e1-c5c5-4ae4-b0be-6cddb52e150d"],

Cell[BoxData[
 TemplateBox[{
  "Solve","ratnz",
   "\"Solve was unable to solve the system with inexact coefficients. The \
answer was obtained by solving a corresponding exact system and numericizing \
the result.\"",2,21,3,24515812004260300579,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7705316525851383`*^9, 3.7765274071672354`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"a5891bb5-2ddd-4798-b16c-df9a54c54ab0"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"Solve\\\", \\\"::\\\", \
\\\"ratnz\\\"}], \\\"MessageName\\\"]\\) will be suppressed during this \
calculation.\"",2,21,4,24515812004260300579,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7705316525851383`*^9, 3.776527407179228*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"b20def41-f941-4906-82d5-944862758d88"],

Cell[BoxData[
 TemplateBox[{
  "Solve","svars",
   "\"Equations may not give solutions for all \\\"solve\\\" variables.\"",2,
   21,5,24515812004260300579,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7705316525851383`*^9, 3.776527407557053*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"3fde4ca7-b059-4ced-a741-0a66dcee465b"],

Cell[BoxData[
 TemplateBox[{
  "Solve","svars",
   "\"Equations may not give solutions for all \\\"solve\\\" variables.\"",2,
   21,6,24515812004260300579,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7705316525851383`*^9, 3.7765274075970287`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"ca0436ca-a800-454c-b1f4-405c2e9bd759"],

Cell[BoxData[
 TemplateBox[{
  "Solve","svars",
   "\"Equations may not give solutions for all \\\"solve\\\" variables.\"",2,
   21,7,24515812004260300579,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7705316525851383`*^9, 3.776527407609024*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"081c4a34-342f-463a-8569-fa66ac34cea1"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"Solve\\\", \\\"::\\\", \
\\\"svars\\\"}], \\\"MessageName\\\"]\\) will be suppressed during this \
calculation.\"",2,21,8,24515812004260300579,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7705316525851383`*^9, 3.776527407631028*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"4b2c9804-3438-4de2-af0a-9528b790f04b"],

Cell[BoxData[
 TemplateBox[{
  "Part","partw",
   "\"Part \\!\\(\\*RowBox[{\\\"1\\\"}]\\) of \\!\\(\\*RowBox[{\\\"{\\\", \
\\\"}\\\"}]\\) does not exist.\"",2,21,9,24515812004260300579,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7705316525851383`*^9, 3.776527407819209*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"b211d108-9955-481a-a6ed-039e70bbed2d"],

Cell[BoxData[
 TemplateBox[{
  "ReplaceAll","reps",
   "\"\\!\\(\\*RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \\\"}\\\"}], \
\\\"\[LeftDoubleBracket]\\\", \\\"1\\\", \\\"\[RightDoubleBracket]\\\"}], \
\\\"}\\\"}]\\) is neither a list of replacement rules nor a valid dispatch \
table, and so cannot be used for replacing.\"",2,21,10,24515812004260300579,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7705316525851383`*^9, 3.776527407845195*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"b2f8dd67-7465-4754-a614-29534b83f372"],

Cell[BoxData[
 TemplateBox[{
  "Part","partw",
   "\"Part \\!\\(\\*RowBox[{\\\"1\\\"}]\\) of \\!\\(\\*RowBox[{\\\"{\\\", \
\\\"}\\\"}]\\) does not exist.\"",2,21,11,24515812004260300579,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7705316525851383`*^9, 3.776527409765729*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"ab852ece-ed18-4b02-9c5a-30ff704b0edd"],

Cell[BoxData[
 TemplateBox[{
  "ReplaceAll","reps",
   "\"\\!\\(\\*RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \\\"}\\\"}], \
\\\"\[LeftDoubleBracket]\\\", \\\"1\\\", \\\"\[RightDoubleBracket]\\\"}], \
\\\"}\\\"}]\\) is neither a list of replacement rules nor a valid dispatch \
table, and so cannot be used for replacing.\"",2,21,12,24515812004260300579,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7705316525851383`*^9, 3.7765274097917137`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"2c115ccd-7e9c-4860-aa86-759fff61f233"],

Cell[BoxData[
 TemplateBox[{
  "Part","partw",
   "\"Part \\!\\(\\*RowBox[{\\\"1\\\"}]\\) of \\!\\(\\*RowBox[{\\\"{\\\", \
\\\"}\\\"}]\\) does not exist.\"",2,21,13,24515812004260300579,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7705316525851383`*^9, 3.776527410750681*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"35e63827-747d-4b94-85d2-fc1d00d94bb0"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"Part\\\", \\\"::\\\", \
\\\"partw\\\"}], \\\"MessageName\\\"]\\) will be suppressed during this \
calculation.\"",2,21,14,24515812004260300579,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7705316525851383`*^9, 3.7765274107816625`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"b05d7f9d-92ec-4604-942a-a98546b1c5cf"],

Cell[BoxData[
 TemplateBox[{
  "ReplaceAll","reps",
   "\"\\!\\(\\*RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \\\"}\\\"}], \
\\\"\[LeftDoubleBracket]\\\", \\\"1\\\", \\\"\[RightDoubleBracket]\\\"}], \
\\\"}\\\"}]\\) is neither a list of replacement rules nor a valid dispatch \
table, and so cannot be used for replacing.\"",2,21,15,24515812004260300579,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7705316525851383`*^9, 3.7765274108106484`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"2e616aaa-28c3-42bd-b4df-1cc35dce22ed"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"ReplaceAll\\\", \
\\\"::\\\", \\\"reps\\\"}], \\\"MessageName\\\"]\\) will be suppressed during \
this calculation.\"",2,21,16,24515812004260300579,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7705316525851383`*^9, 3.776527410830634*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"f065f09a-1c90-4121-a779-70e7a6cf10fd"],

Cell[BoxData[
 TemplateBox[{
  "Part","partd",
   "\"Part specification \\!\\(\\*RowBox[{\\\"solucion\\\", \\\"\
\[LeftDoubleBracket]\\\", RowBox[{\\\"1\\\", \\\",\\\", \\\"2\\\"}], \\\"\
\[RightDoubleBracket]\\\"}]\\) is longer than depth of object.\"",2,21,17,
   24515812004260300579,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7705316525851383`*^9, 3.776527421427104*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"85412a37-3410-449c-b70e-dea1f2771faa"],

Cell[BoxData[
 TemplateBox[{
  "Part","partd",
   "\"Part specification \\!\\(\\*RowBox[{\\\"solucion\\\", \\\"\
\[LeftDoubleBracket]\\\", RowBox[{\\\"1\\\", \\\",\\\", \\\"2\\\"}], \\\"\
\[RightDoubleBracket]\\\"}]\\) is longer than depth of object.\"",2,21,18,
   24515812004260300579,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7705316525851383`*^9, 3.7765274316416054`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"fc9a5271-4121-41da-a944-302b379ec2fd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"F", "\[Rule]", "107980.58694910913`"}]},
      {
       RowBox[{
        RowBox[{"M", "[", "1", "]"}], "\[Rule]", 
        RowBox[{"-", "172700"}]}]},
      {
       RowBox[{
        RowBox[{"M", "[", "2", "]"}], "\[Rule]", 
        RowBox[{"-", "86184.80424612884`"}]}]},
      {
       RowBox[{
        RowBox[{"M", "[", "3", "]"}], "\[Rule]", "172700.`"}]},
      {
       RowBox[{
        RowBox[{"M", "[", "4", "]"}], "\[Rule]", 
        RowBox[{"-", "172700"}]}]},
      {
       RowBox[{
        RowBox[{"M", "[", "5", "]"}], "\[Rule]", "172700.`"}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "1", "]"}], "\[Rule]", "0"}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "2", "]"}], "\[Rule]", "0"}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "3", "]"}], "\[Rule]", 
        "0.03580162635235599`"}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "4", "]"}], "\[Rule]", 
        RowBox[{"-", "0.08878026289767019`"}]}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "5", "]"}], "\[Rule]", 
        "0.06855922556612924`"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.770531694444413*^9, 3.7765274383004184`*^9},
 CellLabel->
  "Out[22]//MatrixForm=",ExpressionUUID->"d299321e-7149-4483-bf8d-\
ab06fbb0f455"]
}, Open  ]]
},
WindowSize->{624, 611},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"12.0 para Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 60899, 1413, 6147, "Input",ExpressionUUID->"d63b1efc-ac80-4412-ac71-2f6d2a2d29b7"],
Cell[CellGroupData[{
Cell[61504, 1439, 447, 10, 22, "Print",ExpressionUUID->"4dee078f-634d-468d-8aa0-2a89fa8c35d0"],
Cell[61954, 1451, 372, 8, 22, "Print",ExpressionUUID->"e3060644-8604-4646-b907-c390d636e22a"],
Cell[62329, 1461, 384, 9, 22, "Print",ExpressionUUID->"633e5359-6191-4afc-84ed-7fc217ff6706"],
Cell[62716, 1472, 1948, 47, 77, "Print",ExpressionUUID->"85e459e8-90a7-4fa4-9aff-bec7f45c5db1"]
}, Open  ]],
Cell[64679, 1522, 478, 10, 39, "Message",ExpressionUUID->"06b10256-4402-4995-ab40-0fd3eac3eb3e"],
Cell[65160, 1534, 480, 10, 39, "Message",ExpressionUUID->"737061e1-c5c5-4ae4-b0be-6cddb52e150d"],
Cell[65643, 1546, 480, 10, 39, "Message",ExpressionUUID->"a5891bb5-2ddd-4798-b16c-df9a54c54ab0"],
Cell[66126, 1558, 478, 10, 21, "Message",ExpressionUUID->"b20def41-f941-4906-82d5-944862758d88"],
Cell[66607, 1570, 387, 9, 21, "Message",ExpressionUUID->"3fde4ca7-b059-4ced-a741-0a66dcee465b"],
Cell[66997, 1581, 389, 9, 21, "Message",ExpressionUUID->"ca0436ca-a800-454c-b1f4-405c2e9bd759"],
Cell[67389, 1592, 387, 9, 21, "Message",ExpressionUUID->"081c4a34-342f-463a-8569-fa66ac34cea1"],
Cell[67779, 1603, 478, 10, 21, "Message",ExpressionUUID->"4b2c9804-3438-4de2-af0a-9528b790f04b"],
Cell[68260, 1615, 417, 9, 23, "Message",ExpressionUUID->"b211d108-9955-481a-a6ed-039e70bbed2d"],
Cell[68680, 1626, 593, 12, 40, "Message",ExpressionUUID->"b2f8dd67-7465-4754-a614-29534b83f372"],
Cell[69276, 1640, 418, 9, 23, "Message",ExpressionUUID->"ab852ece-ed18-4b02-9c5a-30ff704b0edd"],
Cell[69697, 1651, 595, 12, 40, "Message",ExpressionUUID->"2c115ccd-7e9c-4860-aa86-759fff61f233"],
Cell[70295, 1665, 418, 9, 23, "Message",ExpressionUUID->"35e63827-747d-4b94-85d2-fc1d00d94bb0"],
Cell[70716, 1676, 480, 10, 21, "Message",ExpressionUUID->"b05d7f9d-92ec-4604-942a-a98546b1c5cf"],
Cell[71199, 1688, 595, 12, 40, "Message",ExpressionUUID->"2e616aaa-28c3-42bd-b4df-1cc35dce22ed"],
Cell[71797, 1702, 483, 10, 21, "Message",ExpressionUUID->"f065f09a-1c90-4121-a779-70e7a6cf10fd"],
Cell[72283, 1714, 519, 11, 21, "Message",ExpressionUUID->"85412a37-3410-449c-b70e-dea1f2771faa"],
Cell[72805, 1727, 521, 11, 21, "Message",ExpressionUUID->"fc9a5271-4121-41da-a944-302b379ec2fd"],
Cell[73329, 1740, 1780, 57, 272, "Output",ExpressionUUID->"d299321e-7149-4483-bf8d-ab06fbb0f455"]
}, Open  ]]
}
]
*)

